#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#include <fcntl.h>
#include <unistd.h>
#include <sys/stat.h>
#include <anvil/compress.h>

void main( int argc, char *argv[])
{
    int		fdIn, fdOut;
    struct stat buf;

    fdIn = open( argv[ 1], O_RDONLY);
    fstat( fdIn, &buf);
    fdOut = open( argv[ 2], O_CREAT | O_WRONLY, 0666);
    compressBlock( fdIn, fdOut, buf.st_size);
    close( fdIn);
    close( fdOut);
}
