#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



#include <string.h>
#include <anvil/strlib.h>

/****************************************************************************
 *
 * Description:
 * 	does string end with tgt?
 * Arguments:
 *	string - string to test.
 *	tgt - target to test against.
 * AnvilBoolean:
 *	TRUE if string ends with tgt.
 * Modifications:
 *	should test for NULL arguments.
 *
 ****************************************************************************/

AnvilBoolean 
AmEndswith( const char	*string,
	  const char	*tgt)
{
    return( !strcmp( &string[ strlen( string) - strlen( tgt)], tgt));
}
