#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



#include <stdarg.h>
#include <stdio.h>
#include <anvil/errcode.h>

AmErrorCode ANVIL_ERROR_CODE = AmOK;
char        *ANVIL_ERROR_FILE = "No File";
int         ANVIL_ERROR_LINE = 0;

void AmSetError( AmErrorCode      code,
               char             *file,
               int              line)
{
    ANVIL_ERROR_CODE = code;
    ANVIL_ERROR_FILE = file;
    ANVIL_ERROR_LINE = line;
}

