#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */






#include <anvil/eventcodes.h>

const int AM_COORDS_CHANGE = 5001;
const int AM_ADD_LAYER = 5002;
const int AM_SELECT_LAYER = 5004;
const int AM_DELETE_LAYER = 5005;
const int AM_SET_SELECTION = 5006;
const int AM_CLEAR_SELECTION = 5007;
const int AM_READOUT_STRING = 5008;
const int AM_MESSAGE_STRING = 5009;
const int AM_CURSOR_STRING = 5010;
const int AM_CURSOR_MAP = 5011;
const int AM_CURSOR_UNMAP = 5012;
const int AM_RECT_CHANGE = 5014;
const int AM_CLOSE_SELECTION = 5050;
const int AM_DELETE_OBJECT = 6001;
const int AM_SET_FIELD_OBJECT = 6002;

const int AM_FLUSH = 7001;
const int AM_DISPLAY_CHANGE = 7002;

const int ZOOM_2X_PRIORITY = 1000;
const int ZOOM_RECTANGLE_PRIORITY = 1000;
const int UNZOOM_PRIORITY = 1000;
const int SELECT_PRIORITY = 2000;
const int PAN_PRIORITY = 1000;
const int PROFILE_PRIORITY = 1500;
const int SELECT_PLOT_PRIORITY = 1600;
const int EDIT_OBJECT_PRIORITY = 1500;
const int MAGIC_WINDOW_PICK_PRIORITY = 10000;
const int MAGIC_WINDOW_DRAG_PRIORITY = 500;
const int SCATTER_READOUT_PRIORITY = 8000;
