#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */


#include <malloc.h>
#include <stdio.h>
#include <anvil/mem_funcs.h>

/****************************************************************************
 *
 * Description:
 *	free a value if it's not NULL
 * Arguments:
 *	x - value to free 
 *
 ****************************************************************************/

void 
AmFreeIfNotNULL( void *x)
{
    if ( x != NULL) {
	free( x);
    }
}
