#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */




#include <stdio.h>
#ifdef sparc
#define _KERNEL 0xff
#endif
#include <sys/types.h>
#undef _KERNEL

#include <sys/socket.h>
#include <anvil/project.h>
#include <anvil/samehost.h>

/* is the other end of this file descriptor on the same host? */

int AmSamehost(int sd)
{
    struct sockaddr peerSocks[2];
    unsigned int    peerLen = sizeof( peerSocks);

    if ( getpeername( sd, peerSocks, &peerLen) < 0) {
	return( FALSE);
    }
    return( peerSocks[ 0].sa_family == AF_UNIX);
}
