#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#include <windows.h>
#include <anvil/dispatch.h>

void setCursorHandler( HWND	hWnd,
		       UINT	iMsg,
		       WPARAM	wParam,
		       LPARAM	lParam,
		       HCURSOR	hCursor)
{
    SetCursor( hCursor);
}

void SetWindowCursor( HWND	hWnd,
		      HCURSOR	hNewCursor)
{
    HCURSOR	hOldCursor;

    hOldCursor = GetCursor();
    AmInsertHandler( hWnd, WM_SETFOCUS, 0,
    				 ( AmNtHandlerFn) setCursorHandler, hNewCursor);
    AmInsertHandler( hWnd, WM_KILLFOCUS, 0,
    				 ( AmNtHandlerFn) setCursorHandler, hOldCursor);

}
    
