#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  Eckert III */
#ifndef lint
static const char SCCSID[]="@(#)PJ_eck3.c	4.4	93/06/13	GIE	REL";
#endif
#define PJ_LIB__
#include <anvil/projectsP.h>
#define XF	.42223820031577120149
#define RXF	2.36833142821314873781
#define YF	.84447640063154240298
#define RYF	1.18416571410657436890
FORWARD(s_forward); /* spheroid */
	if (fabs(xy.x = lp.phi / HALFPI) >= 1.)
		xy.x = XF * lp.lam;
	else
		xy.x = XF * (1. + sqrt(1. - xy.x*xy.x)) * lp.lam;
	xy.y = YF * lp.phi;
	return (xy);
}
INVERSE(s_inverse); /* spheroid */
	double t;

	lp.lam = xy.x * RXF;
	if (fabs(t = (lp.phi = RYF * xy.y) / HALFPI) < 1.)
		lp.lam /= 1. + sqrt(1. - t*t);
	return (lp);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_eck3) P->es = 0.; P->inv = s_inverse; P->fwd = s_forward; ENDENTRY(P)
