#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/* Mercator projection */
#ifndef lint
static const char SCCSID[]="@(#)PJ_none.c	4.4	93/06/12	GIE	REL";
#endif
#define PJ_LIB__
#include <anvil/projectsP.h>
#define EPS10 1.e-10
FORWARD(e_forward); /* ellipsoid */
	xy.x = P->k0 * lp.lam;
	xy.y = - P->k0 * lp.phi;
	return (xy);
}
FORWARD(s_forward); /* spheroid */
	xy.x = P->k0 * lp.lam;
	xy.y = P->k0 * lp.phi;
	return (xy);
}
INVERSE(e_inverse); /* ellipsoid */
	lp.phi = xy.y / P->k0;
	lp.lam = xy.x / P->k0;
	return (lp);
}
INVERSE(s_inverse); /* spheroid */
	lp.phi = xy.y / P->k0;
	lp.lam = xy.x / P->k0;
	return (lp);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_none)
	if (P->es) { /* ellipsoid */
		P->inv = e_inverse;
		P->fwd = e_forward;
	} else { /* sphere */
		P->inv = s_inverse;
		P->fwd = s_forward;
	}
ENDENTRY(P)
