#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  Putnins P5 Projection */
#ifndef lint
static const char SCCSID[]="@(#)PJ_putp5.c	4.4	93/06/14	GIE	REL";
#endif
#define PJ_LIB__
#include <anvil/projectsP.h>
#define FXC	1.01346
#define FYC	1.01346
#define CS	1.21585420370805325734
FORWARD(s_forward); /* spheroid */
	xy.x = FXC * lp.lam * (2. - sqrt(1. + CS * lp.phi * lp.phi));
	xy.y = FYC * lp.phi;
	return (xy);
}
INVERSE(s_inverse); /* spheroid */
	lp.phi = xy.y / FYC;
	lp.lam = xy.x / (FXC * (2. - sqrt(1. + CS * lp.phi * lp.phi)));
	return (lp);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_putp5) P->es = 0.; P->inv = s_inverse; P->fwd = s_forward; ENDENTRY(P)
