#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

/* Error message processing header file */
#ifndef EMESS_H
#define EMESS_H

#ifndef lint
static char EMESS_H_ID[] = "@(#)emess.h	4.1	93/03/08	GIE	REL";
#endif

struct EMESS {
	char	*File_name,	/* input file name */
			*Prog_name;	/* name of program */
	int		File_line;	/* approximate line read
							where error occured */
};

#ifdef EMESS_ROUTINE	/* use type */
/* for emess procedure */
struct EMESS emess_dat = { (char *)0, (char *)0, 0 };

#ifdef sun /* Archaic SunOs 4.1.1, etc. */
extern char *sys_errlist[];
#define strerror(n) (sys_errlist[n])
#endif

#else	/* for for calling procedures */

extern struct EMESS emess_dat;
void emess(int, char *, ...);

#endif /* use type */

#endif /* end EMESS_H */
