#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/* allocate and deallocate memory */
#ifndef lint
static const char SCCSID[]="@(#)pj_malloc.c	4.3   93/06/12 GIE REL";
#endif
/* These routines are used so that applications can readily replace
** projection system memory allocation/deallocation call with custom
** application procedures.  */
#include <anvil/projectsP.h>
	void *
pj_malloc(size_t size) {
	return(malloc(size));
}
	void
pj_dalloc(void *ptr) {
	free(ptr);
}
