#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _tool_kit_button_class_h_
#define _tool_kit_button_class_h_

#include <ToolKit/BaseWidgetClass.h>

class AmButtonClass : public AmBaseWidgetClass {

protected:

    Widget       _wButton;

public:

    /* Constructors/Desctructors. */

    AmButtonClass();
    AmButtonClass( Widget         wParent,
                 const char     *szName,
                 XtCallbackProc xcp = NULL,
                 XtPointer      xp = NULL);
    AmButtonClass( AmBaseWidgetClass *bwcParent,
                 const char      *szName,
                 XtCallbackProc  xcp = NULL,
                 XtPointer       xp = NULL);
    virtual ~AmButtonClass();

    virtual const char *GetClassName() { return( "AmButtonClass"); };
};

#endif /* _tool_kit_button_class_h_ */
