#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _tool_kit_h_
#define _tool_kit_h_

#include <Xm/Xm.h>

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

#ifndef TEXTLEN
#define TEXTLEN 256
#endif

#ifndef PATHLEN
#define PATHLEN 512
#endif

#ifndef RESLEN 
#define RESLEN 512
#endif

void       AmSendFakeExpose( Display *pDisplay, Window window);
int        AmMakeArgList( ArgList argList, ...);
const char *AmGetResourceName( Widget w);

Widget     AmGetTopLevelWidget( Widget w);
Widget     AmGetShellWidget( Widget w);

void       AmForceDisplayDialog( Widget w);
void       AmForceRemoveDialog( Widget w);

#endif /* _tool_kit_h_ */
