#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_cache_h_
#define _anvil_cache_h_

#include <anvil/project.h>

void *AmGetCache( char         *fileName);

AmErrorCode AmAddToCache( char    *filename,
                        void 	*data);

AmErrorCode AmRemoveFromCache( char     *filename,
			       void	*data);

AmErrorCode AmRemoveFromCacheTable( char	*filename,	
				    void	*data);

AnvilBoolean AmFindCache( char 	*filename,
		     void	**ptr,
		     int	*refCnt);

#endif /* _anvil_cache_h_ */
