#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_compression_h_
#define _anvil_compression_h_

#if defined( __cplusplus) || defined( c_plusplus)
extern "C" {
#endif

int compressBlock( int  inputFileDescriptor,
                   char	*buffer,
                   int  numBytes);

int uncompressBlock( int        inputFileDescriptor,
                     char       *buffer,
                     int        numBytes);

#if defined( __cplusplus) || defined( c_plusplus)
};
#endif

#endif /* anvil_compression_h_ */
