#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_defaults_h_
#define _anvil_defaults_h_

extern const int AmPROFILE_BOTTOM_OFFSET;
extern const int AmPROFILE_SIDE_OFFSET;
extern const char *AmPROFILE_DEFAULT_UNITS;
extern const int AmPROFILE_MAXPLOTS;
extern const float AmPROFILE_SAMPLE_WIDTH;
extern const int AmCURSOR_OFFSET;
extern const int AmFOLLOW_READOUT_WIDTH;
extern const int AmFOLLOW_READOUT_HEIGHT;
extern const int AmANCHOR_SIZE;
extern const int AmSCATTERBUFSIZE;
extern const int AmCLICK_TIMEOUT;
const int AmMAX_SCREENPTS = 16384;
extern const int AmLEGEND_WIDTH;
extern const int AmLEGEND_HEIGHT;
extern const int AmLEGEND_NUM_ITEMS;
extern const int AmLEGEND_LABELS_PER_ITEM;
extern const int AmLEGEND_ITEM_WIDTH;
extern const int AmLEGEND_ITEM_HEIGHT;
extern const int AmLEGEND_ITEM_SPACING;
extern const int AmLEGEND_MAIN_ITEM_HEIGHT;
extern const int AmMIN_ITEM_WIDTH;
extern const int AmMIN_ITEM_HEIGHT;
extern const int AmMIN_FONT_SIZE;
extern const int AmSCROLL_TIMEOUT;


#endif /* _anvil_defaults_h_ */
