#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_del_layer_h_
#define _anvil_del_layer_h_

class AmDeleteLayerDialogClass {
    HWND			_hWnd;
    AmNTDisplayManagerClass	*_displayManager;
    AmOverlayClass		*_overlay;
public:
    AmDeleteLayerDialogClass( HWND			hWnd,
			    AmNTDisplayManagerClass 	*displayManager,
			    AmOverlayClass		*overlay);
    ~AmDeleteLayerDialogClass();
    AmNTDisplayManagerClass	*GetDisplayManager() 
    					{ return( _displayManager);}
    AmOverlayClass		*GetOverlay() 
    					{ return( _overlay);}
};

#endif /* _anvil_del_layer_h_ */
