#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_dispmgrP_h_
#define _anvil_dispmgrP_h_

void AmClipByObjectList( AmRectangleRec const	*rects,
		       int			nRects,
                       AmListPtr           	objList,
		       AmScreenObjClass		*lastObject,
                       AmRectanglePtr      	clipRectVec,
                       int               	*nClip,
		       int			maxClip,
		       AnvilBoolean			ignoreTransparent);

AnvilBoolean AmDifferenceRects( const AmRectangleRec     *oldRect,
                         const AmRectangleRec     *newRect,
                         AmRectanglePtr           rectVec,
                         int                    *nRects);

AnvilBoolean AmUnionRects( const AmRectangleRec     *oldRect,
		    const AmRectangleRec     *newRect,
		    AmRectanglePtr           rectVec,
		    int                    *nRects);


#endif /* _anvil_dispmgrP_h_ */
