#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_enums_h_
#define _anvil_enums_h_

#include <anvil/project.h>
#include <anvil/errcode.h>

AnvilBoolean AmGetStrEnum( const char          *tag,
                    char                *string,
                    int                 *enumVal);

AnvilBoolean AmGetEnumStr( const char          *tag,
                    int                 enumVal,
                    char                *string);

AnvilBoolean AmGetEnumStringValues( const char      *tag,
			     char            ***strings,
			     int             **values,
			     int             *numValues);

const char *AmResourceToSubdir( const char *resource);

AmErrorCode AmParseEnumerationFile( const char  *dbFile,
				    char	*errorString);

#endif /* _anvil_enums_h_ */
