#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_eventcodes_h_
#define _anvil_eventcodes_h_

/* user event Ids for predfined callbacks and operations */

extern const int AM_COORDS_CHANGE;
extern const int AM_ADD_LAYER;
extern const int AM_SELECT_LAYER;
extern const int AM_DELETE_LAYER;
extern const int AM_SET_SELECTION;
extern const int AM_CLOSE_SELECTION;
extern const int AM_CLEAR_SELECTION;
extern const int AM_READOUT_STRING;
extern const int AM_MESSAGE_STRING;
extern const int AM_CURSOR_STRING;
extern const int AM_CURSOR_MAP;
extern const int AM_CURSOR_UNMAP;
extern const int ZOOM_2X_PRIORITY;
extern const int ZOOM_RECTANGLE_PRIORITY;
extern const int UNZOOM_PRIORITY;
extern const int SELECT_PRIORITY;
extern const int SELECT_PLOT_PRIORITY;
extern const int PAN_PRIORITY;
extern const int PROFILE_PRIORITY;
extern const int EDIT_OBJECT_PRIORITY;
extern const int MAGIC_WINDOW_DRAG_PRIORITY;
extern const int MAGIC_WINDOW_PICK_PRIORITY;
extern const int AM_DELETE_OBJECT;
extern const int AM_SET_FIELD_OBJECT;
extern const int AM_RECT_CHANGE;
extern const int AM_FLUSH;
extern const int AM_DISPLAY_CHANGE;
extern const int AM_PKG_ID;
extern const int SCATTER_READOUT_PRIORITY;

#endif /* _anvil_eventcodes_h_ */
