#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_geocodes_h_
#define _anvil_geocodes_h_

#include <anvil/datafmt.h>

typedef struct AmGeoLine_ {
    AmLineRec		line;
    int			attributeCode;
} AmGeoLineRec, *AmGeoLinePtr;

typedef struct AmGeoPolygon_ {
    AmPolygonRec		polygon;
    int			attributeCode;
} AmGeoPolygonRec, *AmGeoPolygonPtr;

typedef struct AmGeoComplexPolygon_ {
    AmComplexPolygonRec	polygon;
    int			attributeCode;
} AmGeoComplexPolygonRec, *AmGeoComplexPolygonPtr;

#endif _anvil_geocodes_h_
