#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_imageplotP_h_
#define _anvil_imageplotP_h_

typedef struct AmColormapArg_ {
    AmIndexDataPtr	indexData;
    AmColorCellPtr	colors;
} AmColormapArgRec, *AmColormapArgPtr;

typedef struct AmLightShadeArg_ {
    float               normalZ;
    float               normalZ2;
    float               lightX;
    float               lightY;
    float               lightZ;
    float               binSize;
    int                 vOffset;
    int                 hOffset;
    uchar_t		*matrixEnd;
    AmColorCellPtr	colors;
    AmIndexDataPtr	indexData;
} AmLightShadeArgRec, *AmLightShadeArgPtr;

typedef struct AmColoredShadedArg_ {
    AmIndexDataPtr	colorIndex;
    AmIndexDataPtr	shadeIndex;
    AmColorCellPtr	shades;
} AmColoredShadedArgRec, *AmColoredShadedArgPtr;

#endif /* _anvil_imageplotP_h_ */
