#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_magicP_h_
#define _anvil_magicP_h_

typedef struct AmMagicDrag_ {
    AmMotifDisplayClass   *motifDisplay;
    AmMagicClass          *magic;
    int                 lastX;
    int                 lastY;
    AnvilBoolean             inResize;
    AnvilBoolean             AmFirst;
    AmRectangleRec        rect;
} AmMagicDragRec, *AmMagicDragPtr;

static const int MAGIC_WIN_WIDTH = 128, MAGIC_WIN_HEIGHT = 128,
                 MAGIC_WIN_RESIZE_TAB = 12;


#endif /* _anvil_magicP_h_ */
