#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_option_h_
#define _anvil_option_h_

#include <anvil/record.h>

const int AM_OPTION_OK = 9101;
const int AM_OPTION_REVERT = 9102;
const int AM_OPTION_CHANGED = 9103;

Widget AmCreateOptionMenu( Widget     parent,
                         const char *name,
                         const char **labels,
                         int        pos);

#endif /* _anvil_option_h_ */

