#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_plotP_h_
#define _anvil_plotP_h_

typedef void *(*AmColorFnInitFn)( AmDataInfoPtr,
                                colorInfoPtr);

typedef void *(*AmStringFnInitFn)( AmDataInfoPtr,
				 labelsPtr);

typedef struct AmColorFnInitFn_ {
    AmColorFn		pixelFn;
    AmColorFnInitFn	initFn;
} AmColorFnInitFnRec, *AmColorFnInitFnPtr;

typedef struct AmStringFnInitFn_ {
    AmStringFn		strFn;
    AmStringFnInitFn	initFn;
} AmStringFnInitFnRec, *AmStringFnInitFnPtr;

AmColorFnInitFn findColorInitFn( AmColorFn pixelFn);

AmStringFnInitFn findStringInitFn( AmStringFn strFn);

#endif _anvil_plotP_h_
