#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_ratio_h_
#define _anvil_ratio_h_
#include <anvil/project.h>

/* scaling and projection functions */

int AmFloatScaleToInt( float	minFloat,
		     float	maxFloat,
		     float	valFloat,
		     int	minInt,
		     int	maxInt);


float AmIntScaleToFloat( int	minInt,
		       int	maxInt,
		       int	valInt,
		       float	minFloat,
		       float	maxFloat);

int AmScaleInt( int 	minFrom,
	      int 	maxFrom,
	      int 	xFrom,
	      int 	minTo,
	      int 	maxTo);

#endif /* _anvil_ratio_h_ */
