#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_regexp_h_
#define _anvil_regexp_h_

#define RE_DATE_FMT " *[0-9]\\{1,2\\}/[0-9]\\{1,2\\}/[0-9]\\{1,2\\} *"
#define RE_INT_FMT  " *[-0-9][0-9]*.*"
#define RE_REAL_FMT " *[-0-9][0-9]*\\.\\{0,1\\}[0-9]* *"
#define RE_BOOL_FMT " *[TtFf01].* *"

#define RE_LATITUDE_FMT	" *[-0-9.NSnsd\"\'\260 ]* *"
#define RE_LONGITUDE_FMT " *[-0-9.EWewd\"\'\260 ]* *"

#define RE_REAL_FMT_UNITS " *[-0-9][0-9]*\\.\\{0,1\\}[0-9]* .* *"
#define RE_INT_FMT_UNITS  " *[-0-9][0-9]* .* *"
#define RE_REAL_FMT_PCT " *[-0-9][0-9]*\\.\\{0,1\\}[0-9]* .* *"
#define RE_TIME_FMT " *[0-9]\\{1,2\\}:[0-9]\\{1,2\\}:[0-9]\\{1,2\\}  *"
#define LAME_FMT ".*"

AnvilBoolean AmRegexpMatch( char 	*regexpStr,
		     char	*str,
		     AnvilBoolean	partialFlag);

#endif /* _anvil_regexp_h_ */

