#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

/* ************************************************************************ */


/* Header file for the `xvertext 3.0' routines.

   Copyright (c) 1993 Alan Richardson (mppa3@uk.ac.sussex.syma) */


/* ************************************************************************ */


#ifndef __anvil_rotated_h_ 
#define __anvil_rotated_h_


#define XV_VERSION      3.0
#define XV_COPYRIGHT    "xvertext routines Copyright (c) 1993 Alan Richardson"


/* ---------------------------------------------------------------------- */


/* text alignment */

#define NONE             0
#define TLEFT            1
#define TCENTRE          2
#define TRIGHT           3
#define MLEFT            4
#define MCENTRE          5
#define MRIGHT           6
#define BLEFT            7
#define BCENTRE          8
#define BRIGHT           9



int AmXRotDrawString( Display     *dpy,
		    XFontStruct *font,
		    double      angle,
		    Drawable    drawable,
		    GC          gc,
		    int         x,
		    int         y,
		    char        *str);

int AmXRotDrawImageString(Display     *dpy,
			XFontStruct *font,
			double      angle,
			Drawable    drawable,
			GC          gc,
			int         x,
			int         y,
			char        *str);

int AmXRotDrawAlignedString( Display      *dpy,
			   XFontStruct  *font,
			   double       angle,
			   Drawable     drawable,
			   GC           gc,
			   int          x,
			   int          y,
			   char         *text,
			   int          align);

int AmXRotDrawAlignedImageString( Display         *dpy,
				XFontStruct     *font,
				float           angle,
				Drawable        drawable,
				GC              gc,
				int             x, 
				int		y,
				char            *text,
				int             align);

int AmXRotPaintAlignedString( Display     *dpy,
                            XFontStruct *font,
                            float       angle,
                            Drawable    drawable,
                            GC          gc,
                            int         x, 
			    int		y,
                            char        *text,
                            int         align,
                            int         bg);



#endif /* __anvil_rotated_h_ */

