#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_visual_h
#define _anvil_visual_h

extern const int MAX_VISUAL;

Visual         *AmGetAppVisual();
int            AmGetAppVisualClass();
int            AmGetAppDepth();
int            AmGetAppMaxColors();
const ulong_t  *AmGetRedLookup();
const ulong_t  *AmGetGreenLookup();
const ulong_t  *AmGetBlueLookup();
const ulong_t  *AmGetRedPixelLookup();
const ulong_t  *AmGetGreenPixelLookup();
const ulong_t  *AmGetBluePixelLookup();

AmErrorCode AmInitVisual( Display *display);

#endif /* _anvil_visual_h_ */
