#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _cad_cad_application_class_h_
#define _cad_cad_application_class_h_

#if 0
#include <ToolKit/AmApplicationClass.h>
#else
#include <ToolKit/ApplicationClass.h>
#endif
#include <cad/CadEditorClass.h>

class CadApplicationClass : public AmApplicationClass {

protected:

    CadEditorClass *_pwcEditor;

public:

    /* Constructors/Desctructors. */

    CadApplicationClass();
    CadApplicationClass( const char *szName,
                         int        nArgs,
                         char       **pszArgs);
    virtual ~CadApplicationClass();

    virtual void Run();
    virtual const char * GetClassName() { return( "CadApplicationClass"); };
};

#endif /* _cad_cad_application_class_h_ */
