#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _editor_enums_h_
#define _editor_enums_h_

typedef enum {
    AmACTION_NONE = 100,
    AmACTION_RESIZE_UP_LEFT = 1,
    AmACTION_RESIZE_UP = 2,
    AmACTION_RESIZE_UP_RIGHT = 3,
    AmACTION_RESIZE_LEFT = 4,
    AmACTION_RESIZE_RIGHT = 5,
    AmACTION_RESIZE_DOWN_LEFT = 6,
    AmACTION_RESIZE_DOWN = 7,
    AmACTION_RESIZE_DOWN_RIGHT = 8,
    AmACTION_MOVE = 9,
    AmACTION_DELETE = 10,
    AmACTION_RAISE = 11,
    AmACTION_LOWER = 12,
    AmACTION_PICK = 13,
    AmACTION_MOVE_BELOW = 14,
    AmACTION_MOVE_ABOVE = 15
} AmActionEnum;

typedef enum {
    AmSELECT_NONE = 1,
    AmSELECT_ONE = 2,
    AmSELECT_ONE_OR_MORE = 3,
    AmSELECT_ANY = 4,
    AmSELECT_CUSTOM = 5
} AmSelectEnum;

#endif /* _editor_enums_h_ */
