
/*
 * xa_show.c
 *
 * Copyright (C) 1990,1991,1992,1993,1994,1995,1996 by Mark Podlipec.
 * All rights reserved.
 *
 * This software may be freely copied, modified and redistributed without
 * fee for non-commerical purposes provided that this copyright notice is
 * preserved intact on all copies and modified copies.
 *
 * There is no warranty or other guarantee of fitness of this software.
 * It is provided solely "as is". The author(s) disclaim(s) all
 * responsibility and liability with respect to this software's usage
 * or its effect upon hardware or computer systems.
 *
 */

/* Revisions:
 * 13Nov94:  wasn't properly skipping video frames in certain instances.
 */

#include "xanim.h"

/***************************************************** 
 * XA_Read_Delta
 *
 * Read delta fromf ile for decompression.
 *****************************************************/
xaULONG XA_Read_Delta(dptr,fd,fpos,fsize)
char *dptr;	/* buffer to put delta into */
int fd;		/* file descript to read from */
xaULONG fpos;	/* pos within file */
xaULONG fsize;	/* size of delta */
{
  xaLONG ret;

  ret = lseek(fd,fpos,SEEK_SET);
  if (ret != fpos) 
  { fprintf(stderr,"XA_Read_Delta: Can't seek vid fpos");
    return(xaFALSE);
  }
  ret = read(fd,dptr,fsize);
  if (ret != fsize) 
  { fprintf(stderr,"XA_Read_Delta: Can't read vid data ret %08x fsz %08x\n",
								ret,fsize);
    return(xaFALSE);
  }
  return(xaTRUE);
}


