#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#include <stdio.h>

#include "kernel/sets/common/sets.h"

int main(argc, argv)
     int argc;
     char *argv[];
{
    if (argc > 2) {
	fprintf(stderr, "setsd [-kill]\n");
	exit(-1);
    }

    if (argc == 2 && !strcmp(argv[1], "-kill")) {
	printf("killed sets daemons\n");
	exit(set_daemon_kill());
    } else {
	exit(set_daemon());
    }
}
