#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef __NewDialog_h__
#define __NewDialog_h__

#include <Xm/Xm.h>

/* Function prototypes */
void OpenSet_Open_Callback (Widget w, XtPointer client_data, 
			    XtPointer call_data);
void OpenSet_Clear_Callback (Widget w, XtPointer client_data, 
			    XtPointer call_data);
void OpenSet_Cancel_Callback (Widget w, XtPointer client_data, 
			    XtPointer call_data);
void Create_OpenSet_Dialog (Widget w, Widget menu, Widget unionWidget,
			    Widget intersectWidget, Display* display, 
			    Window* pNetscapeWindow);

#endif
