#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef __SetsMenu_h__
#define __SetsMenu_h__

#include <Xm/Xm.h>
#include "WWWSets.h"

/* Function prototypes */
void InfoMessage (Widget parent, char* title, char* message);
void ErrorMessage (Widget parent, char* title, char* message);
void SetsMenu_Quit_Callback (Widget w, XtPointer client_data, 
			     XtPointer call_data);
void SetsMenu_New_Callback (Widget w, XtPointer client_data, 
			    XtPointer call_data);
void SetsMenu_This_Callback (Widget w, XtPointer client_data, 
			     XtPointer call_data);
void SetsMenu_Intersect_Callback (Widget w, XtPointer client_data, 
				  XtPointer call_data);
void SetsMenu_Union_Callback (Widget w, XtPointer client_data, 
			      XtPointer call_data);
WindowData* Create_Application_Window (Widget topLevel, SetsData* pSetsData);

#endif
