#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef __DigestDialog_h__
#define __DigestDialog_h__

#include <Xm/Xm.h>

/* Function prototypes */
void Union_Select_Callback (Widget w, XtPointer client_data, 
			    XtPointer call_data);
void Union_Cancel_Callback (Widget w, XtPointer client_data, 
			    XtPointer call_data);
void Populate_Union_List (Widget list);
void Create_Union_Dialog (Widget parent, Widget menu, Widget unionWidget, 
			  Widget intersectWidget, Display* display, 
			  Window* pNetscapeWindow, int isUnion);

#endif
