#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

/*
 * Private functions for client.c
 * (should only be included by client.c)
 */

int open_tcp(const char            *host,
	     int                   port,
	     SWWW_threading_type_t threading);

int writen(register int fd,
	   register char *ptr,
	   register int nbytes);

int send_postinfo(int sockfd, struct SWWW_postinfo *pip);

/*
 * errors from open_tcp
 */

#define OT_NOHOST	-1
#define OT_NOSOCKET	-2
#define OT_NOCONNECT	-3
