#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

/*
 * Default settings
 */

/* Port for server to listen on */
#define SERVERPORT 8080

/* Root directory, from which all other accesses are relative */
#define ROOTDIR "/usr/tilt/htdocs"

/* Default MIME type */
#define DEFAULT_TYPE "text/plain"

/* Default directory index */
#define DIRINDEX "index.html"

/*
 * Error Messages
 */

#define FOOTER \
"<HR> <P> " PLOINK_VERSION_STRING

#define METHOD_NOT_SUPP                                            \
"<HTML><HEAD><TITLE>501 Not Implemented</TITLE></HEAD>\n"          \
"<BODY><H1>501 Method Not Implemented</H1>\n"                      \
"<P> The method used is not implemented by this server.\n"         \
FOOTER                                                             \
"</BODY>\n"

#define FORBIDDEN                                                  \
"<HTML><HEAD><TITLE>403 Forbidden</TITLE></HEAD>\n"                \
"<BODY><H1>403 Forbidden</H1>\n"                                   \
"<P> The requested object is unavailable, since I don't\n"         \
"    like the looks of you. Feh.\n"                                \
FOOTER                                                             \
"</BODY>\n"
