#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#define PLOINK_VERSION_STRING "Ploink/0.1"
#define PLOINK_COMMENTS       "(Experimental)"

int process_requests       (struct SWWW_fetch_in  *inp,
			    struct SWWW_fetch_out *outp);
int process_get_request    (struct SWWW_fetch_in  *inp,
			    struct SWWW_fetch_out *outp);
int process_post_request   (struct SWWW_fetch_in  *inp,
			    struct SWWW_fetch_out *outp);
int process_unknown_request(struct SWWW_fetch_in  *inp,
			    struct SWWW_fetch_out *outp);

char *file_lookup(char *path, struct stat *sb);

char *deduce_type(char *path);
