package odyssey.api;

/*
 * this mirrors ody_req_des, found in include/odyssey.h
 */

public class OdyRequestDesc {
    int           resource;    // resource number for this request
    OdyVers       version;     // which version of the interface
    int           low;         // lower bound on resource value
    int           high;        // upper bound
    UpcallHandler listener;        // object to call via upcall

    // XXX JAVA NEEDS A FREAKING ENUM!!!
    public static int ODY_GR_NETBW      = 101;
    public static int ODY_GR_NETLAT     = 102;
    public static int ODY_GR_DCACHE     = 103;
    public static int ODY_GR_CPU        = 104;
    public static int ODY_GR_POWER      = 105;
    public static int ODY_TEST_1        = 201;
    public static int ODY_TEST_2        = 202;
    public static int ODY_MIN_TYPE_RSRC = 400;

    protected OdyRequestDesc(int           resource,
			     int           low,
			     int           high,
			     UpcallHandler listener,
			     OdyVers       version)
    {
	this.resource = resource;
	this.version  = version;
	this.low      = low;
	this.high     = high;
	this.listener = listener;
    }
}
