#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

void get_ody_version(JNIEnv          *env,
		     jobject          vers,
		     struct ody_vers *result);

void get_ody_req_des(JNIEnv              *env,
		      jobject             req,
		      struct ody_req_des *request);

void upcall_handler(int          reqid,
		    unsigned int rsrc,
		    int          val);

void print_ody_version(struct ody_vers *version);

void print_ody_req_des(struct ody_req_des *request);

void print_array(void *arg,
		 int   argsz);

void print_request(const char         *path,
		   struct ody_req_des *req,
		   int                *res);

void print_cancel(int reqid);

void print_tsop(char            *path,
		struct ody_vers *vers,
		unsigned int     op,
		size_t           argsz,
		void            *arg,
		size_t          *retsz,
		void            *ret);
