package odyssey.api;

public class www {
    static final int SETMINQUALITY = 3;

    static final int WEB_TTYPE         = 0x3;
    static final int WEBWARDEN_VERSION = 5;

    public static int setMinQuality(String type, int quality)
    {
	OdyVers         vers;
	wwwQuality      size;
	byte            buffer[];
	byte            temp[];
	byte            retBuffer[];
	int             result;
	
	size = new wwwQuality(quality);

	/* set up and fill in the buffer */
	temp = type.getBytes();
	buffer = new byte[size.sizeOf() + temp.length];
	size.fill(buffer, 0);
	System.arraycopy(temp, 0, buffer, size.sizeOf(), temp.length);

	retBuffer = new byte[0];
	
	/* make the tsop */
	vers = getOdyVers();
	
	result = OdysseyAPI.tsop("/ody/www", vers,
				 SETMINQUALITY,
				 buffer,
				 retBuffer);
	
	return(result);
    }

    public static OdyVers getOdyVers()
    {
	return (new OdyVers(WEB_TTYPE, WEBWARDEN_VERSION));
    }
}
