package odyssey.guestroom;

import java.awt.*;
import java.rmi.*;

public class HelloClient {
        public static void main(String argv[]) {
	    String message = "";

	    try {
		GuestInterface srv =
		    (GuestInterface)Naming.lookup("//hades/GuestServer");

		HelloServer hs = new HelloServer("HelloServer");

		GuestServer.registerObject(srv, hs);
		
		hs.increment();
		hs.increment();
		System.out.println("local value: " + hs.value());
		System.out.println(hs.sayHello());

		HelloInterface obj =
		    (HelloInterface)srv.getObject();
		message = obj.sayHello();

		obj.increment();
		System.out.println("remote value: " + obj.value());
	    } catch (Exception e) {
		System.out.println("HelloClient exception: " +
				   e.getMessage());
		e.printStackTrace();
	    }

	    System.out.println(message);
        }
 }
