package odyssey.map;

import  java.awt.*;
import  java.awt.event.*;

public class ColorBar extends Panel implements ActionListener {
    Button[]  buttons;
    int[]     values;
    MapMouser mm;

    public ColorBar(MapMouser mm)
    {
	this.mm = mm;

	buttons = new Button[3];
	buttons[0] = new Button("low (40 KB/s)");
	buttons[1] = new Button("middle (100 KB/s)");
	buttons[2] = new Button("high (150 KB/s)");
	buttons[3] = new Button("unmodulated");

	values = new int[buttons.length];
	values[0] = 100;
	values[1] = 175;
	values[2] = 255;
	vakues[3] = 0;

	setLayout(new GridLayout(1, buttons.length));
	for (int loop = 0; loop < buttons.length; loop++) {
	    add(buttons[loop]);
	    buttons[loop].addActionListener(this);
	    if (values[loop] != Map.TRANSPARENT) {
		buttons[loop].setBackground(new Color(255,
						      255 - values[loop],
						      255 - values[loop]));
	    }
	}
    }

    public void actionPerformed(ActionEvent e) {
	Object source = e.getSource();

	for (int loop = 0; loop < buttons.length; loop++) {
	    if (buttons[loop].equals(source)) {
		mm.valueChanged(values[loop]);
	    }
	}
    }
}
