package odyssey.whiteboard;

import java.awt.*;
import java.awt.event.*;

public class WhiteboardApp extends Frame implements WindowListener {
    public WhiteboardApp(String name)
    {
	super(name);
	setSize(400,400);

	addWindowListener(this);
	
	Whiteboard board = new Whiteboard();

	add("Center", board);

	setVisible(true);
    }

    public void windowClosing(WindowEvent e) {
	System.exit(0);
    }

    // do nothing
    public void windowOpened(WindowEvent e) {}
    public void windowClosed(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowActivated(WindowEvent e) {}
    public void windowDeactivated(WindowEvent e) {}

    public static void main(String[] args)
    {
	new WhiteboardApp("Odyssey Whiteboard");
    }
}
