#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _ODY_MULTIF_H
#define _ODY_MULTIF_H

/* Args to the various ioctl functions */

struct ody_multif_args {
    struct ody_vers *vers;
    unsigned int op;
    size_t argsz;
    void *arg;
    size_t *retsz;
    void *ret;
};

#define ODYI_MULTIF       _IOW('O', 13, struct ody_multif_args)

#endif /* _ODY_MULTIF_H_ */

