#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _LINUX_ODY_SETS_H_
#define _LINUX_ODY_SETS_H_

int ody_expand(struct dentry *dvp,
	       struct dentry **vpp,
	       char *nm,
	       struct task_struct *p);

int ody_cursexpand(struct file *vp,
		   size_t *bufsize,
		   char **buf,
		   struct task_struct *p);

int ody_prefetch(struct dentry *vp,
		 int mode,
		 struct task_struct *p,
		 struct file **f);

#endif _LINUX_ODY_SETS_H_
