#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _RSRC_H_
#define _RSRC_H_

extern int            rsrc_loglevel;
extern struct timeval rsrc_interval;
extern double         rsrc_rho;
extern int            rsrc_logbandwidth;
extern int            rsrc_log_minutes;

void do_notify             __P((long         val,
				ds_list_t*   to_notify,
				unsigned int rsrc));

extern void rsrc_init      __P(());
extern int  rsrc_request   __P((struct ofid *fidp,
				unsigned int rsrc,
				unsigned int gs,
				unsigned int type,
				unsigned int ts,
				int low,
				int high,
				pid_t pid,
				int *cancelled,
				int *value,
				int *reqid));

extern int rsrc_cancel __P((int));
extern int rsrc_cancpid __P((pid_t));

extern void rsrc_testfire  __P(());
extern void rsrc_testreset __P(());

extern void rsrc_clearlog __P(());
extern void rsrc_dumplog  __P(());

#endif /* _RSRC_H_ */
