#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef __SPEECHW_PING_H__
#define __SPEECHW_PING_H__

#define PING_MAX_SIZE 10000
#define PING_CLASS "ping"
#define PING_EVENT "PingEvent"

/* SpeechPingParameters is a structure that is used to pass parameters
   back and forth to the ping thread */
typedef struct { 
  int connectionId; /* Connection on which to ping */
  int size; /* Size of ping */
} SpeechPingParameters;

/* Function prototypes */
int speechwCreatePingThread ();
int speechwPingRemoteServer (int connectionId, int size);
int speechwPingProcess (void* pParameter);

#endif 
