#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

int webw_fetch_url(cmgr_id_t               cid,     /* connection to
						       server */
		   struct webw_onode_data *wod,     /* webwarden-specific
						       onode data*/
		   webw_quality_t          img_quality,  /* the minimum
							    image quality
							    we're interested
							    in */
		   webw_quality_t          html_quality, /* ditto for HTML */
		   ds_safeq_t             *workq,   /* safe queue for
						       sending messages to
						       worker threads */
		   struct ofid            *ofp,     /* the ofid for this
						       onode */
		   char         **cfile_name);

int webw_fetch_if_needed(struct warden *wp,
			 struct viceroy_onode  *op,
			 int            force_cget,
			 char         **cfile_name);
