#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#include <stdio.h>
#include <Xm/Xm.h>

#include <anvil/errcode.h>
#include <anvil/xapp.h>
#include <anvil/xcolor.h>
#include <anvil/visual.h>
#include <anvil/motif.h>
#include <anvil/envdefs.h>

#include <cad/CadApplicationClass.h>

int
main( int nArgs, char **pszArgs)
{
    CadApplicationClass *pwcApplication;

    pwcApplication = new CadApplicationClass( "CadEditor", nArgs, pszArgs);
    pwcApplication->Realize();
    pwcApplication->Run();
}
