#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#include <anvil/display.h>

/* X glyph class creation function */

AmGlyphClass::AmGlyphClass()
{
}

/* paint a glyph to the screen. Draw the mask, then the pixmap */ 

void AmGlyphClass::DrawGlyph( AmDisplayClass	*display,
			    AmWindowClass		*window,
			    int			x,
			    int			y)
{
}

/* glyph class virtual destructor */

AmGlyphClass::~AmGlyphClass()
{
}

/* return the width of the glyph */

int AmGlyphClass::GetWidth()
{
    return( width);
}

/* return the height of the glyph */

int AmGlyphClass::GetHeight()
{
    return( height);
}

/* return the color of the glyph */

ulong_t AmGlyphClass::GetColor()
{
    return( color);
}
