#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */


#include <anvil/list.h>

/* compare two lists to see if they point to the same data */

int AmCompareListAddrs( AmListPtr	aPtr,
		      AmListPtr	bPtr)
{
    for (;( aPtr != NULL) && ( bPtr != NULL); 
	  aPtr = aPtr->next, bPtr = bPtr->next) {
	if ( aPtr->data != bPtr->data) {
	    return(( int) aPtr->data - ( int) bPtr->data);
	}
    }
    if ((aPtr == NULL) && ( bPtr == NULL)) {
	return( 0);
    }
    if ( aPtr == NULL) {
	return( -1);
    } else {
	return( 1);
    }
}
