#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#include <anvil/project.h>
#include <anvil/defaults.h>
#include <anvil/eventcodes.h>

const int AmPROFILE_BOTTOM_OFFSET = 40;
const int AmPROFILE_SIDE_OFFSET = 40;
const char *AmPROFILE_DEFAULT_UNITS = "meter";
const float AmPROFILE_SAMPLE_WIDTH = 0.1;
const int AmCURSOR_OFFSET = 10;
const int AmFOLLOW_READOUT_WIDTH = 120;
const int AmFOLLOW_READOUT_HEIGHT = 20;
const int AmANCHOR_SIZE = 9;
const int AmSCATTERBUFSIZE = 16384;
const int AmCLICK_TIMEOUT = 250;
const int AmLEGEND_WIDTH = 100;
const int AmLEGEND_HEIGHT = 200;
const int AmLEGEND_NUM_ITEMS = 5;
const int AmLEGEND_LABELS_PER_ITEM = 3;
const int AmLEGEND_ITEM_WIDTH = 20;
const int AmLEGEND_ITEM_HEIGHT = 20;
const int AmLEGEND_ITEM_SPACING = 5;
const int AmLEGEND_MAIN_ITEM_HEIGHT = 80;
const int AmMIN_ITEM_WIDTH = 5;
const int AmMIN_ITEM_HEIGHT = 5;
const int AmMIN_FONT_SIZE = 1;
const int AmSCROLL_TIMEOUT = 200;
const int AM_PKG_ID = 1001;
