#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



#include <anvil/ratio.h>

/* scale int to int */

int AmScaleInt( int 	minFrom,
	      int 	maxFrom,
	      int 	xFrom,
	      int 	minTo,
	      int 	maxTo)
{
    double 	range, newRange, scale;
    int		valInt;

/* determine the ratio of the two ranges. */

    range = maxFrom - minFrom;
    newRange = maxTo - minTo;
    scale = newRange/range;

/* subtract the min from the value, scale it, and add the new min */

    valInt = ( int)( ( xFrom - minFrom)*scale + minTo);
    return( valInt);
}
