#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  August Epicycloidal */
#ifndef lint
static const char SCCSID[]="@(#)PJ_august.c	4.4	93/06/13	GIE	REL";
#endif
#define PJ_LIB__
#include <anvil/projectsP.h>
#define M 1.333333333333333
FORWARD(s_forward); /* spheroid */
	double t, c1, c, x1, x12, y1, y12;

	t = tan(.5 * lp.phi);
	c1 = sqrt(1. - t * t);
	c = 1. + c1 * cos(lp.lam *= .5);
	x1 = sin(lp.lam) *  c1 / c;
	y1 =  t / c;
	xy.x = M * x1 * (3. + (x12 = x1 * x1) - 3. * (y12 = y1 *  y1));
	xy.y = M * y1 * (3. + 3. * x12 - y12);
	return (xy);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_august) P->inv = 0; P->fwd = s_forward; P->es = 0.; ENDENTRY(P)
