#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  Boggs Eumorphic */
#ifndef lint
static const char SCCSID[]="@(#)PJ_boggs.c	4.4	93/06/13	GIE	REL";
#endif
#define PJ_LIB__
# include	<anvil/projectsP.h>
# define NITER	20
# define EPS	1e-7
# define ONETOL 1.000001
# define FXC	2.00276
# define FXC2	1.11072
# define FYC	0.49931
# define FYC2	1.41421356237309504880
FORWARD(s_forward); /* spheroid */
	double theta, th1, c;
	int i;

	theta = lp.phi;
	if (fabs(fabs(lp.phi) - HALFPI) < EPS)
		xy.x = 0.;
	else {
		c = sin(theta) * PI;
		for (i = NITER; i; --i) {
			theta -= th1 = (theta + sin(theta) - c) /
				(1. + cos(theta));
			if (fabs(th1) < EPS) break;
		}
		theta *= 0.5;
		xy.x = FXC * lp.lam / (1. / cos(lp.phi) + FXC2 / cos(theta));
	}
	xy.y = FYC * (lp.phi + FYC2 * sin(theta));
	return (xy);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_boggs) P->es = 0.; P->fwd = s_forward; ENDENTRY(P)
