#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  Denoyer Semi-Elliptical */
#ifndef lint
static const char SCCSID[]="@(#)PJ_dense.c	4.4	93/06/13	GIE	REL";
#endif
#define PJ_LIB__
#include <anvil/projectsP.h>
#define C0	0.95
#define C1	-.08333333333333333333
#define C3	.00166666666666666666
#define D1	0.9
#define D5	0.03
FORWARD(s_forward); /* spheroid */
	xy.y = lp.phi;
	xy.x = lp.lam;
	lp.lam = fabs(lp.lam);
	xy.x *= cos((C0 + lp.lam * (C1 + lp.lam * lp.lam * C3)) *
		(lp.phi * (D1 + D5 * lp.phi * lp.phi * lp.phi * lp.phi)));
	return (xy);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_dense) P->es = 0.; P->fwd = s_forward; ENDENTRY(P)
