#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  Eckert I Projection */
#ifndef lint
static const char SCCSID[]="@(#)PJ_eck1.c	4.4	93/06/13	GIE	REL";
#endif
#define PJ_LIB__
#include <anvil/projectsP.h>
#define FC	.92131773192356127802
#define RP	.31830988618379067154
FORWARD(s_forward); /* spheroid */
	xy.x = FC * lp.lam * (1. - RP * fabs(lp.phi));
	xy.y = FC * lp.phi;
	return (xy);
}
INVERSE(s_inverse); /* spheroid */
	lp.phi = xy.y / FC;
	lp.lam = xy.x / (FC * (1. - RP * fabs(lp.phi)));
	return (lp);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_eck1) P->es = 0.; P->inv = s_inverse; P->fwd = s_forward; ENDENTRY(P)
