#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  Gall (Stereographic) */
#ifndef lint
static const char SCCSID[]="@(#)PJ_gall.c	4.4	93/06/14	GIE	REL";
#endif
#define PJ_LIB__
#include <anvil/projectsP.h>
#define YF	1.70710678118654752440
#define XF	0.70710678118654752440
#define RYF	0.58578643762690495119
#define RXF	1.41421356237309504880
FORWARD(s_forward); /* spheroid */
	xy.x = XF * lp.lam;
	xy.y = YF * tan(.5 * lp.phi);
	return (xy);
}
INVERSE(s_inverse); /* spheroid */
	lp.lam = RXF * xy.x;
	lp.phi = 2. * atan(xy.y * RYF);
	return (lp);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_gall) P->es = 0.; P->inv = s_inverse; P->fwd = s_forward; ENDENTRY(P)
