#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  McBride-Thomas Flat-Polar Parabolic */
#ifndef lint
static const char SCCSID[]="@(#)PJ_mbtfpp.c	4.4	93/06/14	GIE	REL";
#endif
#define PJ_LIB__
#include <anvil/projectsP.h>
#define CS	.95257934441568037152
#define FXC	.92582009977255146156
#define FYC	3.40168025708304504493
#define C23	.66666666666666666666
#define C13	.33333333333333333333
#define ONEEPS	1.0000001
FORWARD(s_forward); /* spheroid */
	lp.phi = asin(CS * sin(lp.phi));
	xy.x = FXC * lp.lam * (2. * cos(C23 * lp.phi) - 1.);
	xy.y = FYC * sin(C13 * lp.phi);
	return (xy);
}
INVERSE(s_inverse); /* spheroid */
	lp.phi = xy.y / FYC;
	if (fabs(lp.phi) >= 1.) {
		if (fabs(lp.phi) > ONEEPS)	I_ERROR
		else	lp.phi = (lp.phi < 0.) ? -HALFPI : HALFPI;
	} else
		lp.phi = asin(lp.phi);
	lp.lam = xy.x / ( FXC * (2. * cos(C23 * (lp.phi *= 3.)) - 1.) );
	if (fabs(lp.phi = sin(lp.phi) / CS) >= 1.) {
		if (fabs(lp.phi) > ONEEPS)	I_ERROR
		else	lp.phi = (lp.phi < 0.) ? -HALFPI : HALFPI;
	} else
		lp.phi = asin(lp.phi);
	return (lp);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_mbtfpp) P->es = 0.; P->inv = s_inverse; P->fwd = s_forward;
ENDENTRY(P)
