#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  Craster Parabolic Projection */
#ifndef lint
static const char SCCSID[]="@(#)PJ_parab.c	4.5	93/06/14	GIE	REL";
#endif
#define PJ_LIB__
# include <anvil/projectsP.h>
#define XM	0.97720502380583984317
#define RXM	1.02332670794648848847
#define YM	3.06998012383946546542
#define RYM	0.32573500793527994772
#define THIRD	0.333333333333333333
FORWARD(s_forward); /* spheroid */
	lp.phi *= THIRD;
	xy.x = XM * lp.lam * (2. * cos(lp.phi + lp.phi) - 1.);
	xy.y = YM * sin(lp.phi);
	return (xy);
}
INVERSE(s_inverse); /* spheroid */
	lp.phi = 3. * asin(xy.y * RYM);
	lp.lam = xy.x * RXM / (2. * cos((lp.phi + lp.phi) * THIRD) - 1);
	return (lp);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_parab) P->es = 0.; P->inv = s_inverse; P->fwd = s_forward; ENDENTRY(P)
