#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/* Transverse Central Cylindrical projection */
#ifndef lint
static const char SCCSID[]="@(#)PJ_tcc.c	4.4	93/06/14	GIE	REL";
#endif
#define PROJ_PARMS__ \
	double ap;
#define EPS10 1.e-10
#define PJ_LIB__
#include <anvil/projectsP.h>
FORWARD(s_forward); /* spheroid */
	double b, bt;

	b = cos(lp.phi) * sin(lp.lam);
	if ((bt = 1. - b * b) < EPS10) F_ERROR;
	xy.x = b / sqrt(bt);
	xy.y = atan2(tan(lp.phi) , cos(lp.lam));
	return (xy);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_tcc) P->es = 0.; P->fwd = s_forward; ENDENTRY(P)
