#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  Wagner VII Projection */
#ifndef lint
static const char SCCSID[]="@(#)PJ_wag7.c	4.4	93/06/14	GIE	REL";
#endif
#define PJ_LIB__
#include <anvil/projectsP.h>
#define THIRD	0.3333333333333333333
FORWARD(s_forward); /* spheroid */
	double s, c0, c1;

	s = 0.90631 * sin(lp.phi);
	c0 = sqrt(1. - s * s);
	c1 = sqrt(2./(1. + c0 * cos(lp.lam *= THIRD)));
	xy.x = 2.66723 * c0 * c1 * sin(lp.lam);
	xy.y = 1.24104 * s * c1;
	return (xy);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_wag7) P->es = 0.; P->fwd = s_forward; ENDENTRY(P)
