#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/*  Winkel I */
#ifndef lint
static const char SCCSID[]="@(#)PJ_wink1.c	4.5	93/06/14	GIE	REL";
#endif
#define PROJ_PARMS__ \
	double	cosphi1;
#define PJ_LIB__
# include <anvil/projectsP.h>
FORWARD(s_forward); /* spheroid */
	xy.x = .5 * lp.lam * (P->cosphi1 + cos(lp.phi));
	xy.y = lp.phi;
	return (xy);
}
INVERSE(s_inverse); /* spheroid */
	lp.phi = xy.y;
	lp.lam = 2. * xy.x / (P->cosphi1 + cos(lp.phi));
	return (lp);
}
FREEUP; if (P) pj_dalloc(P); }
ENTRY0(pj_wink1)
	P->cosphi1 = cos(pj_param(P->params, "rlat_ts").f);
	P->es = 0.; P->inv = s_inverse; P->fwd = s_forward;
ENDENTRY(P)
