#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/* arc sin and cosine that will not fail */
#ifndef lint
static const char SCCSID[]="@(#)aasincos.c	4.5	93/06/16	GIE	REL";
#endif
#include <anvil/projectsP.h>
#define ONE_TOL	 1.00000000000001
#define TOL	0.000000001
	double
aasin(double v) {
	double av;

	if ((av = fabs(v)) >= 1.) {
		if (av > ONE_TOL)
			pj_errno = -19;
		return (v < 0. ? -HALFPI : HALFPI);
	}
	return asin(v);
}
	double
aacos(double v) {
	double av;

	if ((av = fabs(v)) >= 1.) {
		if (av > ONE_TOL)
			pj_errno = -19;
		return (v < 0. ? PI : 0.);
	}
	return acos(v);
}
	double
asqrt(double v) { return ((v <= 0) ? 0. : sqrt(v)); }
