#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */



/* make storage for one and two dimensional matricies */
#ifndef lint
static const char SCCSID[]="@(#)vector1.c	4.3	93/06/12	GIE	REL";
#endif
#include <stdlib.h>
#include <anvil/projectsP.h>
	void * /* one dimension array */
vector1(int hi, int size) { return((void *)pj_malloc(size * (hi + 1))); }
	void ** /* two dimension array */
vector2(int uhi, int vhi, int size) {
	char **s;
	int nu, nv;

	nu = uhi + 1;
	nv = vhi + 1;
	if ((s = (char **)pj_malloc(sizeof(void *) * nu + size * nv * nu)) != NULL) {
		char *t;
		char **r;
		int i;

		t = (char *)(s + nu);
		r = s;
		for (i = 0; i < nu; ++i) {
			*r++ = t;
			t += nv * size;
		}
	}
	return ((void **)s);
}
