#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _tool_kit_form_class_h_
#define _tool_kit_form_class_h_

#include <ToolKit/BaseWidgetClass.h>

class AmFormClass : public AmBaseWidgetClass {

protected:

    Widget       _wForm;

public:

    /* Constructors/Desctructors. */

    AmFormClass();
    AmFormClass( Widget     wParent,
                 const char *szName);
    AmFormClass( AmBaseWidgetClass *bwcParent,
                 const char      *szName);
    virtual ~AmFormClass();

    virtual const char *GetClassName() { return( "AmFormClass"); };

    void SetFractionBase( int iBase);
};

#endif /* _tool_kit_form_class_h_ */
