#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _tool_kit_scrolled_window_h_
#define _tool_kit_scrolled_window_h_

#include <ToolKit/BaseWidgetClass.h>

class AmScrolledWindowClass : public AmBaseWidgetClass {

protected:

    Widget _wScrolledWindow;

public:

    /* Constructors/Desctructors. */

    AmScrolledWindowClass();
    AmScrolledWindowClass( Widget     wParent,
                           const char *szName,
                           Boolean    fAutomatic = TRUE);
    AmScrolledWindowClass( AmBaseWidgetClass *bwcParent,
                           const char      *szName,
                           Boolean    fAutomatic = TRUE);
    virtual ~AmScrolledWindowClass();

    void SetAlwaysVisible();
    void SetVisibleWhenNeeded();

    virtual const char *GetClassName() { return( "AmScrolledWindowClass"); };
};

#endif /* _tool_kit_scrolled_window_h_ */
