#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _tool_kit_toggle_button_class_
#define _tool_kit_toggle_button_class_

#include <ToolKit/BaseWidgetClass.h>

class AmToggleButtonClass : public AmBaseWidgetClass {

protected:

    Widget _wToggleButton;

public:

    /* Constructors/Desctructors. */

    AmToggleButtonClass();
    AmToggleButtonClass( Widget         wParent,
                         const char     *szName, 
                         XtCallbackProc xCallback,
                         XtPointer      xpClientData);
    AmToggleButtonClass( AmBaseWidgetClass *bwcParent,
                         const char      *szName,
                         XtCallbackProc  xCallback,
                         XtPointer       xpClientData);
    virtual ~AmToggleButtonClass();

    virtual const char *GetClassName() { return( "AmToggleButtonClass"); };

    /* Accessor Functions. */

    Boolean GetState();

    /* Mutator Functions. */

    void SetState( Boolean fState, Boolean fSendEvent = FALSE);
};

#endif /* _tool_kit_toggle_button_class_ */
