#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_afm_h_
#define _anvil_afm_h_

#include <anvil/graphstructs.h>

typedef struct Kern_ {
    int	charCode;
    int	kern;
} KernRec, *KernPtr;

typedef struct AFMcharMetric_ {
    int 		charCode;
    char		name[ 32];
    int			width;
    AmRectangleRec	box;
    int			numKerns;
    KernPtr		kerns;
} AFMcharMetricRec, *AFMcharMetricPtr;

AnvilBoolean ParseAFMFfile( char		*filename,
		       AFMcharMetricPtr	*charMetrics);

#endif /* _anvil_afm_h_ */
