#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_annotation_h_
#define _anvil_annotation_h_

#include <anvil/screenobj.h>

class AmAnnotationClass : public AmScreenObjClass {
protected:
    void		initializeFields( AmWindowClass  *windowArg,
                                          const char   *nameArg);
    void		GetFieldDefinitions( AmFieldDefPtr	*fieldDefs,
					     int		*numDefs);
public:
    virtual int		getFields( AmTagValuePtr tagValues,
				   int         numValues);
    virtual int		setFields( AmTagValuePtr tagValues,
				   int         numValues);
    virtual int		dumpFields( AmFieldLengthPtr fieldLengths,
				    AnvilBoolean	   allFields = FALSE);
    virtual AnvilBoolean	IsType( AmObjectTypeEnum type);
			AmAnnotationClass();
    virtual 		~AmAnnotationClass();
};

#endif /* anvil_annotation_h_ */
