#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_editobject_h_
#define _anvil_editobject_h_
#include <anvil/motifdisplay.h>
#include <anvil/screenobj.h>
#include <anvil/errcode.h>

void AmEditObjectCallback( Widget                 btn,
                         AmMotifDisplayClass      *motifDisplay,
                         XtPointer              callData);

AmErrorCode AmEditScreenObject( Widget            	w,
			        AmMotifDisplayClass 	*pMotifDisplay,
                          	AmScreenObjClass    	*pScreenObj,
                          	XtPointer         	xpCallData);

#endif /* _anvil_editobject_h_ */


