#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_endian_h_
#define _anvil_endian_h_

#if defined(sparc)
#include <sys/byteorder.h>
#elif defined(__linux__)
#include <endian.h>
#elif defined(__BSD44__)
#include <machine/endian.h>
#elif defined(_WIN32)
#define LITTLE_ENDIAN   1234    /* least-significant byte AmFirst (vax) */
#define BIG_ENDIAN      4321    /* most-significant byte AmFirst (IBM, net) */
#define BYTE_ORDER      LITTLE_ENDIAN   /* byte order on tahoe */
#else 
#include <sys/endian.h>
#endif

#endif /* _anvil_endian_h_ */
