#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_envdefs_h_
#define _anvil_envdefs_h_

/* #defines for environment variables */

/* config directory */

#define CONFIG_ENV      	"ANVIL_CONFIG"
#define AM_MAP_LIST_FILE	"MapList"
#define AM_CMAP_LIST_FILE	"CmapList"
#define AM_SYMBOL_LIST_FILE	"SymbolList"
#define AM_PRINTER_LIST_FILE	"PrinterList"
#define MAXDIMS			8
#define AM_ENUM_LOOKUP		"AnvilEnumLookup"
#define AM_COLORMAP_DIR		"colormaps"
#define AM_LOOKUP_DIR		"lookups"
#define AM_BINVEC_DIR		"binvecs"
#define AM_SYMBOL_DIR		"symbols"
#define AM_POLYGON_DIR		"polygons"
#define AM_LINE_DIR		"lines"
#define AM_STRING_DIR		"strings"
#define AM_TABLE_DIR		"tables"
#define AM_FILTER_DIR		"filters"
#define AM_PRINTER_DIR		"printers"
#define AM_PREFS_DIR		"NetMentor"

#endif /* _anvil_envdefs_h_ */
