#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_graphstructs_h_
#define _anvil_graphstructs_h_

#include <anvil/project.h>

/* x,y point structure */

typedef struct AmPoint {
    short	x;
    short	y;
} AmPointRec, *AmPointPtr;

/* line segment structure */

typedef struct AmSegment {
    short	x0;
    short	y0;
    short	x1;
    short	y1;
} AmSegmentRec, *AmSegmentPtr;

typedef struct AmRectangle {
    short	x;
    short	y;
    short	width;
    short	height;
} AmRectangleRec, *AmRectanglePtr;

typedef struct AmRealRect { 
    float	x;
    float	y;
    float	width;
    float	height;
} AmRealRectRec, *AmRealRectPtr;

#endif /* _anvil_graphstructs_h_ */
