#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_hatchpoly_h_
#define _anvil_hatchpoly_h_
#include <anvil/datafmt.h>
#include <anvil/display.h>

AmErrorCode AmHatchPoly( AmDisplayClass  		*display,
		       AmWindowClass   		*win,
		       AmGCClass       		*drawGC,
		       AmGCClass			*hatchGC,
		       AmPointPtr      		poly,
		       int           		numpts,
		       AmRectangleRec const	*rect,
		       float         		angle,
		       int           		spacing);

#endif /* _anvil_hatchpoly_h_ */
