#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_header_h_
#define _anvil_header_h_
#include <anvil/project.h>

char **AmReadHeader( const char *filename);

const char *AmGetHeaderStringTagValue( const char **headerStrings,
				     const char	*tag);

AnvilBoolean AmIsHeader( const char    *filename,
                  char  	*typeName);

#endif /* _anvil_header_h_ */
