#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_loadmat_h_
#define _anvil_loadmat_h_

#include <anvil/datatype.h>
#include <anvil/units.h>
#include <anvil/errcode.h>

AmErrorCode loadDataMatrix( char                **headerList,
                            float               xmin,
                            float               ymin,
                            float               xmax,
                            float               ymax,
                            float               *dxy,
                            unitType            xyUnits,
                            unitType            zUnits,
                            AmDataTypeEnum        *dataType,
                            void                **dataPtr,
                            int                 *rows,
                            int                 *cols);


#endif 	/* _anvil_loadmat_h_ */
