#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_mem_funcs_h_
#define _anvil_mem_funcs_h_

#include <sys/types.h>
#include <anvil/project.h>

void *AmExtractField( void *structVec, 
                    int  size,
                    int  fieldOffset,
                    int  fieldSize,
                    int  numel);

void *AmCopyVec( const void     *data,
               int            size);

void AmFreeIfNotNULL( void *x);

int AmGetIndex( void	*target,
	      void	**list,
	      int	numel);

AnvilBoolean AmInIntVector( int	target,
		     int	*vec,
		     int	numel);

#endif /* _anvil_mem_funcs_h_ */
