#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_nt_h_
#define _anvil_nt_h_

#include <windows.h>

void PrintErrorBuffer( HWND		hWnd,
		       const char	*errMsg);

void AmPrintResourceError( HWND		hWmd,
			 const char	*res,
			 ...);

void AmPrintLogError( HWND	hWnd,
		    const char	*res,
		    ...);

void SetWindowCursor( HWND	hWnd,
		      HCURSOR	hNewCursor);

#endif /* _anvil_nt_h_ */
