#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_nt_user_data_h_
#define _anvil_nt_user_data_h_

#include <windows.h>
#include <anvil/errcode.h>

AmErrorCode AmAddUserData( HWND	    hWnd,
                         const char *szKey,
                         void       *pData);

void        *AmGetUserData( HWND		hWnd,
                          const char 	*szKey);

void        *AmRemoveUserData( HWND	hWnd,
                             const char *szKey);

#endif /* _anvil_nt_user_data_h_ */
