#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_numerics_h_
#define _anvil_numerics_h_

void AmFitPoints( uchar_t         *data,
                AmAccessFn        xFn,
                int             xOffset,
                AmAccessFn        yFn,
                int             yOffset,
                void            *clientData,
                int             size,
                int             numPts,
                float           *aa,
                float           *bb,
                float           *sigA,
                float           *sigB);

#endif /* _anvil_numerics_h_ */
