#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_plot_cbackP_h_
#define _anvil_plot_cbackP_h

#include <X11/Intrinsic.h>
#include <anvil/plot.h>
#include <anvil/motifdisplay.h>
#include <anvil/outline.h>
#include <anvil/state_hand.h>

typedef struct AmMotifPlotArgs_ {
    AmMotifDisplayClass   *motifDisplay;
    AmPlotClass           *plot;
    int                 x;
    int                 y;
    AnvilBoolean             flag;
    outlinePtr          outline;
} AmMotifPlotArgsRec, *AmMotifPlotArgsPtr;

AmMotifPlotArgsPtr makeMotifPlotArgs( AmMotifDisplayClass   *motifDisplay,
                                    AmPlotClass           *plot);

#endif /* _anvil_plot_cbackP_h */
