#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_polytest_h_
#define _anvil_polytest_h_
#include <anvil/project.h>
#include <anvil/datafmt.h>

AnvilBoolean AmPtInPoly( float         x,
                  float         y,
                  AmPolygonPtr    poly);

AnvilBoolean AmLineInPoly( AmLinePtr     line,
                    AmPolygonPtr  poly,
                    AnvilBoolean     entireFlag);

AnvilBoolean AmPolyInPoly( AmPolygonPtr  inside,
                    AmPolygonPtr  contains,
                    AnvilBoolean     entireFlag);

#endif /* _anvil_polytest_h_ */
