#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_postscriptP_h_
#define _anvil_postscriptP_h_

AnvilBoolean AmPrintPostScriptPseudoColorImage( ulong_t        *srcImage,
					 int            srcX,
					 int            srcY,
					 int            dstX,
					 int            dstY,
					 int            srcWidth,
					 int            srcHeight,
					 int	        imgWidth,
					 int	        imgHeight,
					 int            depth,
					 AmColorCellPtr colors,
					 int            numColors,
					 FILE           *fp);

AnvilBoolean AmPrintPostScriptTrueColorImage( ulong_t     *srcImage,
				       int         srcX,
				       int         srcY,
				       int         dstX,
				       int         dstY,
				       int         srcWidth,
				       int         srcHeight,
				       int	   imgWidth,
				       int	   imgHeight,
				       int         depth,
				       FILE        *fp);

AnvilBoolean AmPrintPostScriptMaskImage( uchar_t 	*srcImage,
				  int       	srcX,
				  int       	srcY,
				  int       	dstX,
				  int       	dstY,
				  int           srcWidth,
				  int           srcHeight,
				  int           imgWidth,
				  int           imgHeight,
				  FILE		*fp);

AmErrorCode 
AmCreatePostScriptColorCube( AmColorCellPtr         *cubeColors,
                           uint_t               numRed,
                           uint_t               numGreen,
                           uint_t               numBlue);

#endif /* _anvil_postscriptP_h_ */
