#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_sample_h_
#define _anvil_sample_h_


void AmSampleMatrix( uchar_t    *matrix,
		   int        size,
		   int        width,
		   int        height,
		   int        x0,
		   int        y0,
		   int        x1,
		   int        y1,
		   uchar_t    *buffer);


void AmSampleScatter( uchar_t     *vector,
                    int         length,
                    AmAccessFn    xFn,
		    int		xOffset,
                    AmAccessFn    yFn,
		    int		yOffset,
                    void        *clientData,
                    int         size,
                    float       x0,
                    float       y0,
                    float       x1,
                    float       y1,
                    float       lineWidth,
                    uchar_t     *buffer,
                    int         *numPts);

#endif /* _anvil_sample_h_ */
