#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_state_hand_h_
#define _anvil_state_hand_h_

#include <X11/Intrinsic.h>
#include <anvil/state_handP.h>

void AmTurnOnWidget( Widget       w);

void AmTurnOffWidget( Widget      w);

AmErrorCode AmAddHandler( Widget         launchWidget,
                        Widget         w,
                        EventMask      event_mask,
                        XtEventHandler AmHandlerFn,
                        XtPointer      clientData,
                        unsigned int   priority,
                        AmStateHandlerFn removeFn = NULL,
                        AmStateHandlerFn suspendFn = NULL,
                        AmStateHandlerFn restartFn = NULL);

AmErrorCode AmRemoveHandler( Widget           w,
                           EventMask        event_mask,
                           XtEventHandler   AmHandlerFn,
                           XtPointer        clientData);

AmErrorCode AmFlushHandler( Widget         w,
                          unsigned int   priority);

#endif /* _anvil_state_hand_h_ */
