#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_tagstrs_h_
#define _anvil_tagstrs_h_

#define AmNWProjArg "W"
#define AmNaEllipseArg "a"
#define AmNalphaProjArg "alpha"
#define AmNangleClientData "angleClientData"
#define AmNangleClientDataFreeFn "angleClientDataFreeFn"
#define AmNangleFn "angleFn"
#define AmNangleMax "angleMax"
#define AmNangleMin "angleMin"
#define AmNangleType "angleType"
#define AmNangleUnits "angleUnits"
#define AmNappId "appId"
#define AmNarrows "arrows"
#define AmNaspectFactor "aspectFactor"
#define AmNattributes "attributes"
#define AmNaziProjArg "azi"
#define AmNbEllipseArg "b"
#define AmNbackground "background"
#define AmNbarHeight "barHeight"
#define AmNbarSpacing "barSpacing"
#define AmNbarStyle "barStyle"
#define AmNbinvec "binvec"
#define AmNbottomMargin "bottomMargin"
#define AmNbottomTicks "bottomTicks"
#define AmNclientData "clientData"
#define AmNclientDataFreeFn "clientDataFreeFn"
#define AmNclipAtMin "clipAtMin"
#define AmNclockwise "clockwise"
#define AmNcolormap "colormap"
#define AmNcolors "colors"
#define AmNcolorsBinvec "colorsBinvec"
#define AmNcolorsClientData "colorsClientData"
#define AmNcolorsClientDataFreeFn "colorsClientDataFreeFn"
#define AmNcolorsFn "colorsFn"
#define AmNcolorsIntFn "colorsIntFn"
#define AmNcolorsName "colorsName"
#define AmNcolorsOffset "colorsOffset"
#define AmNcolorsMax "colorsMax"
#define AmNcolorsMin "colorsMin"
#define AmNcolorsStrings "colorsStrings"
#define AmNcolorsTable "colorsTable"
#define AmNcolorsType "colorsType"
#define AmNcolorsUnits "colorsUnits"
#define AmNcols "cols"
#define AmNcurrLayer "currLayer"
#define AmNcurrXmax "currXmax"
#define AmNcurrXmin "currXmin"
#define AmNcurrYmax "currYmax"
#define AmNcurrYmin "currYmin"
#define AmNcustomEllipse "customEllipse"
#define AmNdistanceUnits "distanceUnits"
#define AmNellipse "ellps"
#define AmNendArc "endArc"
#define AmNdashes "dashes"
#define AmNdata "data"
#define AmNdataType "dataType"
#define AmNdescription "description"
#define AmNdetailLevel "detailLevel"
#define AmNdims "dims"
#define AmNdpi "dpi"
#define AmNdrawFn "drawFn"
#define AmNdrawFnClientData "drawFnClientData"
#define AmNdrawFnClientDataFreeFn "drawFnClientDataFreeFn"
#define AmNdrawGrid "drawGrid"
#define AmNdrawSolid "drawSolid"
#define AmNdrawTiles "drawTiles"
#define AmNdummy "dummy"
#define AmNeditable "editable"
#define AmNeEllipseArg "e"
#define AmNelevationPlot "elevationPlot"
#define AmNenableCacheFlag "enableCacheFlag"
#define AmNesEllipseArg "es"
#define AmNex "ex"
#define AmNey "ey"
#define AmNez "ez"
#define AmNfEllipseArg "f"
#define AmNfd "fd"
#define AmNfn "fn"
#define AmNfileSource "fileSource"
#define AmNfilename "filename"
#define AmNfilled "filled"
#define AmNflipCols "flipCols"
#define AmNflipRows "flipRows"
#define AmNfocal "focal"
#define AmNfont "font"
#define AmNfontSize "fontSize"
#define AmNfontSlant "fontSlant"
#define AmNfontWeight "fontWeight"
#define AmNfontXScale "fontXScale"
#define AmNfontYScale "fontYScale"
#define AmNforeground "foreground"
#define AmNframe "frame"
#define AmNgridStyle "gridStyle"
#define AmNhProjArg "h"
#define AmNhatchAngle "hatchAngle"
#define AmNhatchAngleBinvec "hatchAngleBinvec"
#define AmNhatchAngleClientData "hatchAngleClientData"
#define AmNhatchAngleClientDataFreeFn "hatchAngleClientDataFreeFn"
#define AmNhatchAngleFn "hatchAngleFn"
#define AmNhatchAngleIntFn "hatchAngleIntFn"
#define AmNhatchAngleList "hatchAngleList"
#define AmNhatchAngleLength "hatchAngleLength"
#define AmNhatchAngleMax "hatchAngleMax"
#define AmNhatchAngleMin "hatchAngleMin"
#define AmNhatchAngleName "hatchAngleName"
#define AmNhatchAngleOffset "hatchAngleOffset"
#define AmNhatchAngleType "hatchAngleType"
#define AmNhatchAngleStrings "hatchAngleStrings"
#define AmNhatchAngleTable "hatchAngleTable"
#define AmNhatchAngleUnits "hatchAngleUnits"
#define AmNhatchPattern "hatchPattern"
#define AmNhatchPatternBinvec "hatchPatternBinvec"
#define AmNhatchPatternClientData "hatchPatternClientData"
#define AmNhatchPatternClientDataFreeFn "hatchPatternClientDataFreeFn"
#define AmNhatchPatternFn "hatchPatternFn"
#define AmNhatchPatternIntFn "hatchPatternIntFn"
#define AmNhatchPatternList "hatchPatternList"
#define AmNhatchPatternLength "hatchPatternLength"
#define AmNhatchPatternMax "hatchPatternMax"
#define AmNhatchPatternMin "hatchPatternMin"
#define AmNhatchPatternName "hatchPatternName"
#define AmNhatchPatternOffset "hatchPatternOffset"
#define AmNhatchPatternType "hatchPatternType"
#define AmNhatchPatternStrings "hatchPatternStrings"
#define AmNhatchPatternTable "hatchPatternTable"
#define AmNhatchPatternUnits "hatchPatternUnits"
#define AmNhatchWidth "hatchWidth"
#define AmNhatchWidthBinvec "hatchWidthBinvec"
#define AmNhatchWidthClientData "hatchWidthClientData"
#define AmNhatchWidthClientDataFreeFn "hatchWidthClientDataFreeFn"
#define AmNhatchWidthFn "hatchWidthFn"
#define AmNhatchWidthIntFn "hatchWidthIntFn"
#define AmNhatchWidthList "hatchWidthList"
#define AmNhatchWidthLength "hatchWidthLength"
#define AmNhatchWidthMax "hatchWidthMax"
#define AmNhatchWidthMin "hatchWidthMin"
#define AmNhatchWidthName "hatchWidthName"
#define AmNhatchWidthOffset "hatchWidthOffset"
#define AmNhatchWidthType "hatchWidthType"
#define AmNhatchWidthStrings "hatchWidthStrings"
#define AmNhatchWidthTable "hatchWidthTable"
#define AmNhatchWidthUnits "hatchWidthUnits"
#define AmNhatched "hatched"
#define AmNheader "header"
#define AmNheaderStrings "headerStrings"
#define AmNheight "height"
#define AmNheightClientData "heightClientData"
#define AmNheightClientDataFreeFn "heightClientDataFreeFn"
#define AmNheightFn "heightFn"
#define AmNheightIntFn "heightIntFn"
#define AmNheightMax "heightMax"
#define AmNheightMin "heightMin"
#define AmNheightName "heightName"
#define AmNheightOffset "heightOffset"
#define AmNheightType "heightType"
#define AmNheightUnits "heightUnits"
#define AmNhighlightColor "highlightColor"
#define AmNinProjection "inProjection"
#define AmNincreaseCols "increaseCols"
#define AmNincreaseItems "increaseItems"
#define AmNincreaseRows "increaseRows"
#define AmNinterpolate "interpolate"
#define AmNinvProj "inv-proj"
#define AmNinverseProjection "inverseProjection"
#define AmNitemExtents "itemExtents"
#define AmNitemHeight "itemHeight"
#define AmNitemSpacing "itemSpacing"
#define AmNitemWidth "itemWidth"
#define AmNkProjArg "k"
#define AmNkeepData "keepData"
#define AmNlabel "label"
#define AmNlabelAngle "labelAngle"
#define AmNlabelsPerItem "labelsPerItem"
#define AmNlandscape "landscape"
#define AmNlat_0ProjArg "lat_0"
#define AmNlat_1ProjArg "lat_1"
#define AmNlat_2ProjArg "lat_2"
#define AmNlat_bProjArg "lat_b"
#define AmNlat_tsProjArg "lat_ts"
#define AmNleftMargin "leftMargin"
#define AmNleftTicks "leftTicks"
#define AmNlegendType "legendType"
#define AmNlength "length"
#define AmNlightShadeAngle "lightShadeAngle"
#define AmNlightShadeHeight "lightShadeHeight"
#define AmNlightShadeFlag "lightShadeFlag"
#define AmNlineStyle "lineStyle"
#define AmNlineWidth "lineWidth"
#define AmNlineWidthBinvec "lineWidthBinvec"
#define AmNlineWidthClientData "lineWidthClientData"
#define AmNlineWidthClientDataFreeFn "lineWidthClientDataFreeFn"
#define AmNlineWidthFn "lineWidthFn"
#define AmNlineWidthIntFn "lineWidthIntFn"
#define AmNlineWidthLength "lineWidthLength"
#define AmNlineWidthList "lineWidthList"
#define AmNlineWidthMax "lineWidthMax"
#define AmNlineWidthMin "lineWidthMin"
#define AmNlineWidthName "lineWidthName"
#define AmNlineWidthOffset "lineWidthOffset"
#define AmNlineWidthType "lineWidthType"
#define AmNlineWidthStrings "lineWidthStrings"
#define AmNlineWidthTable "lineWidthTable"
#define AmNlineWidthUnits "lineWidthUnits"
#define AmNlon_0ProjArg "lon_0"
#define AmNlon_1ProjArg "lon_1"
#define AmNlon_2ProjArg "lon_2"
#define AmNloncProjArg "lonc"
#define AmNobjectType "objectType"
#define AmNoffset "offset"
#define AmNlsatProjArg "lsat"
#define AmNmainItemHeight "mainItemHeight"
#define AmNmaintainRange "maintainRange"
#define AmNmaintainXRange "maintainXRange"
#define AmNmax "max"
#define AmNmaxClip "maxClip"
#define AmNmaxTicks "maxTicks"
#define AmNmemory "memory"
#define AmNmin "min"
#define AmNminClip "minClip"
#define AmNmmap "mmap"
#define AmNname "name"
#define AmNnameFn "nameFn"
#define AmNnameClientData "nameClientData"
#define AmNnameClientDataFreeFn "nameClientDataFreeFn"
#define AmNnavigational "navigational"
#define AmNno_cutProjArg "no_cut"
#define AmNno_rotProjArg "no_rot"
#define AmNnsProjArg "ns"
#define AmNnumAttributes "numAttributes"
#define AmNnumAngles "numAngles"
#define AmNnumDashes "numDashes"
#define AmNnumInProjStrs "numInProjStrs"
#define AmNnumItems "numItems"
#define AmNnumMinorTicks "numMinorTicks"
#define AmNnumPoints "numPoints"
#define AmNnumProjArgs "numProjArgs"
#define AmNnumProjStrs "numProjStrs"
#define AmNnumRows "numRows"
#define AmNnumSymbols "numSymbols"
#define AmNnumSymbolSizes "numSymbolSizes"
#define AmNnumTicks "numTicks"
#define AmNnumColors "numcolors"
#define AmNnumdims "numdims"
#define AmNnumShades "numshades"
#define AmNnumTagValues "numTagValues"
#define AmNoffset "offset"
#define AmNopaque "opaque"
#define AmNoutline "outline"
#define AmNpageWidth "pageWidth"
#define AmNpageHeight "pageHeight"
#define AmNpalette "palette"
#define AmNpathProjArg "path"
#define AmNphi "phi"
#define AmNpoints "points"
#define AmNpriority "priority"
#define AmNprojectScale "projectScale"
#define AmNprojection "projection"
#define AmNproj "proj"
#define AmNprojCurrXmax	"projCurrXmax"
#define AmNprojCurrXmin	"projCurrXmin"
#define AmNprojCurrYmax	"projCurrYmax"
#define AmNprojCurrYmin	"projCurrYmin"
#define AmNprojXmax "projXmax"
#define AmNprojXmin "projXmin"
#define AmNprojYmax "projYmax"
#define AmNprojYmin "projYmin"
#define AmNresizeFont "resizeFont"
#define AmNzoneProjArg "zone"
#define AmNrfEllipseArg "rf"
#define AmNrightMargin "rightMargin"
#define AmNrightTicks "rightTicks"
#define AmNrows "rows"
#define AmNsameTickSpacing "sameTickSpacing"
#define AmNscaleColor "scaleColor"
#define AmNscaleFn "scaleFn"
#define AmNscaleLineWidthList "scaleLineWidthList"
#define AmNscaleStyle "scaleStyle"
#define AmNscanLineClientData "scanLineClientData"
#define AmNscanLineClientDataFreeFn "scanLineClientDataFreeFn"
#define AmNscanLineFn "scanLineFn"
#define AmNscreenHeight "screenHeight"
#define AmNscreenWidth "screenWidth"
#define AmNsetXFn "setXFn"
#define AmNsetXYFn "setXYFn"
#define AmNsetYFn "setYFn"
#define AmNshared "shared"
#define AmNshowAngles "showAngles"
#define AmNshowAnnotation "showAnnotation"
#define AmNshowColors "showColors"
#define AmNshowHatchAngles "showHatchAngles"
#define AmNshowHatchWidths "showHatchWidths"
#define AmNshowLineWidths "showLineWidths"
#define AmNshowMinorScale "showMinorScale"
#define AmNshowRadii "showRadii"
#define AmNshowSymbols "showSymbols"
#define AmNshowSymbolSizes "showSymbolSizes"
#define AmNshowText "showText"
#define AmNshowTitle "showTitle"
#define AmNshowGrid "showGrid"
#define AmNshowScales "showScales"
#define AmNshowStrings "showStrings"
#define AmNsize "size"
#define AmNskipBytes "skipBytes"
#define AmNsourceType "sourceType"
#define AmNsouthProjArg "south"
#define AmNstartArc "startArc"
#define AmNstringList "stringList"
#define AmNstringsBinvec "stringsBinvec"
#define AmNstringsClientData "stringsClientData"
#define AmNstringsClientDataFreeFn "stringsClientDataFreeFn"
#define AmNstringsFn "stringsFn"
#define AmNstringsIntFn "stringsIntFn"
#define AmNstringsLength "stringsLength"
#define AmNstringsMax "stringsMax"
#define AmNstringsMin "stringsMin"
#define AmNstringsName "stringsName"
#define AmNstringsOffset "stringsOffset"
#define AmNstringsType "stringsType"
#define AmNstringsTable "stringsTable"
#define AmNsubCols "subCols"
#define AmNsubRows "subRows"
#define AmNsubXmax "subXmax"
#define AmNsubXmin "subXmin"
#define AmNsubYmax "subYmax"
#define AmNsubYmin "subYmin"
#define AmNsymbol "symbol"
#define AmNsymbolBinvec "symbolBinvec"
#define AmNsymbolClientData "symbolClientData"
#define AmNsymbolClientDataFreeFn "symbolClientDataFreeFn"
#define AmNsymbolFn "symbolFn"
#define AmNsymbolIntFn "symbolIntFn"
#define AmNsymbolLength "symbolLength"
#define AmNsymbolList "symbolList"
#define AmNsymbolType "symbolType"
#define AmNsymbolMax "symbolMax"
#define AmNsymbolMin "symbolMin"
#define AmNsymbolName "symbolName"
#define AmNsymbolOffset "symbolOffset"
#define AmNsymbolStrings "symbolStrings"
#define AmNsymbolTable "symbolTable"
#define AmNsymbolUnits "symbolUnits"
#define AmNsymbolSizeBinvec "symbolSizeBinvec"
#define AmNsymbolSizeClientData "symbolSizeClientData"
#define AmNsymbolSizeClientDataFreeFn "symbolSizeClientDataFreeFn"
#define AmNsymbolSizeFn "symbolSizeFn"
#define AmNsymbolSizeIntFn "symbolSizeIntFn"
#define AmNsymbolSizeLength "symbolSizeLength"
#define AmNsymbolSizeList "symbolSizeList"
#define AmNsymbolSizeMax "symbolSizeMax"
#define AmNsymbolSizeMin "symbolSizeMin"
#define AmNsymbolSizeName "symbolSizeName"
#define AmNsymbolSizeOffset "symbolSizeOffset"
#define AmNsymbolSizeType "symbolSizeType"
#define AmNsymbolSizeStrings "symbolSizeStrings"
#define AmNsymbolSizeTable "symbolSizeTable"
#define AmNsymbolSizeUnits "symbolSizeUnits"
#define AmNtagValues "tagValues"
#define AmNtable "table"
#define AmNtickBase "tickBase"
#define AmNtexHeight "texHeight"
#define AmNtexWidth "texWidth"
#define AmNtextGridDensity "textGridDensity"
#define AmNtextOffset "textOffset"
#define AmNtextSize "textSize"
#define AmNtextVertical "textVertical"
#define AmNtheta "theta"
#define AmNtickNumSpokes "tickNumSpokes"
#define AmNtickNumber "tickNumber"
#define AmNtickOutside "tickOutside"
#define AmNtickPosition "tickPosition"
#define AmNtickSize "tickSize"
#define AmNtickSpacing "tickSpacing"
#define AmNtickStyle "tickStyle"
#define AmNtickZoom "tickZoom"
#define AmNtileDetailFlag "tileDetailFlag"
#define AmNtiltProjArg "tilt"
#define AmNtitle "title"
#define AmNtitleFont "titleFont"
#define AmNtitleFontSize "titleFontSize"
#define AmNtitleFontSlant "titleFontSlant"
#define AmNtitleFontWeight "titleFontWeight"
#define AmNtitleFontXScale "titleFontXScale"
#define AmNtitleFontYScale "titleFontYScale"
#define AmNtitleOffset "titleOffset"
#define AmNtitleSpacing "titleSpacing"
#define AmNtitleVertical "titleVertical"
#define AmNtopMargin "topMargin"
#define AmNtopTicks "topTicks"
#define AmNtransparency "transparency"
#define AmNtrueColor "trueColor"
#define AmNtype	"type"
#define AmNunits "units"
#define AmNvertical "vertical"
#define AmNverticalExaggeration "verticalExaggeration"
#define AmNwidth "width"
#define AmNx "x"
#define AmNx_0ProjArg "x_0"
#define AmNxFn "xFn"
#define AmNxOffset "xOffset"
#define AmNxType "xType"
#define AmNxmax "xmax"
#define AmNxmin "xmin"
#define AmNxunits "xunits"
#define AmNwrap "wrap"
#define AmNy "y"
#define AmNy_0ProjArg "y_0"
#define AmNyClientData "yClientData"
#define AmNyClientDataFreeFn "yClientDataFreeFn"
#define AmNyFn "yFn"
#define AmNyOffset "yOffset"
#define AmNyType "yType"
#define AmNymax "ymax"
#define AmNymin "ymin"
#define AmNyunits "yunits"
#define AmNzFn "zFn"
#define AmNzunits "zunits"
#define AmNpreserveAspect "preserveAspect"

/* poly and graph types */

#define AmNimagePlot	"imagePlot"
#define AmNlinePlot	"linePlot"
#define AmNscatterPlot	"scatterPlot"
#define AmNpolygonPlot	"polygonPlot"
#define AmNpolylinePlot	"polylinePlot"
#define AmNlineGraph	"lineGraph"
#define AmNbarGraph	"barGraph"
#define AmNscatterGraph	"scatterGraph"

#endif /* _anvil_tagstrs_h_ */
