#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_textcheck_h_
#define _anvil_textcheck_h_

#include <anvil/datatype.h>
#include <anvil/units.h>

void AmUnitVarEntry( Widget       w,
                   void         *val,
		   AmDataTypeEnum	dataType,
                   unitType     units,
                   void         *checkData);

AnvilBoolean AmScanType( char         *buffer,
                  void         *value,
                  AmDataTypeEnum type,
                  unitType     units);

int AmSizeData( void         *buffer,
              AmDataTypeEnum type);

void AmPrintType( char         *buffer,
                void         *value,
                AmDataTypeEnum dataType,
                unitType     units);

void AmSliderTextUnits( Widget    parent,
                      char      *resName,
                      float     value,
                      unitType  units,
                      Widget    *form,
                      Widget    *text,
                      Widget    *scale);

#endif /*  _anvil_textcheck_h_ */

