#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_user_dataP_h_
#define _anvil_user_dataP_h_

#include <anvil/project.h>
#include <anvil/list.h>

const int USER_DATA_MAGIC = 323666323;

typedef struct AmUserDataRec_ {
    int     iMagicNo;
    AmListPtr lstUserData;
} AmUserDataRec, *AmUserDataPtr;

typedef struct AmUserDataItemRec_ {
    char     *szKey;
    void     *pData;
    AmItemFn fnFreeData; 
} AmUserDataItemRec, *AmUserDataItemPtr;

#endif /* _anvil_user_dataP_h_ */
