#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_waitdlog_h_
#define _anvil_waitdlog_h_

#include <Xm/Xm.h>

typedef struct AmWaitRec_ {
    Widget       wParent;
    Widget       wDialog;
    Boolean      fStopped;
} AmWaitRec, *AmWaitPtr;

AmWaitPtr AmMakeWaitDialog( Widget     wParent,
                        const char *szMessage,
                        Boolean    fInterruptable = FALSE);
void    AmRemoveWaitDialog( AmWaitPtr wait);
Boolean AmCheckForInterrupt( AmWaitPtr wait);


#endif /* _anvil_waitdlog_h_ */
