#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _editor_select_obj_class_h_
#define _editor_select_obj_class_h_

#include <anvil/screenobj.h>
#include <anvil/outline.h>

class AmSelectObjClass {

private:

    AmScreenObjClass     *_pScreenObj;
    AmObjectOutlineClass *_pOutline;

public:

    AmSelectObjClass();
    AmSelectObjClass( AmScreenObjClass *pScreenObj, AmObjectOutlineClass *pOutline);
    virtual ~AmSelectObjClass();

    AmScreenObjClass     *GetScreenObj();
    AmObjectOutlineClass *GetOutline();
};

#endif /* _editor_select_obj_class_h_ */
