#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _util_dbf_h_
#define _util_dbf_h_

#include <util/endian.h>

#define DBF_FILE_HEADER_LENGTH	32
#define DBF_REC_HEADER_LENGTH	32

typedef struct dbfRecHeader_ {
     char	name[ 11];
     char	type;			/* 'C' = character */
     int	unknown;		/* seems to be always 0 */
     int	length;			/* little endian */
     char	moreUnknown[ 12];
} dbfRecHeaderRec, *dbfRecHeaderPtr;

typedef struct dbfFileHeader_ {
     char	unknown[ 4];
     int	numRecords;
     char	moreUnknown[ 8];
} dbfFileHeaderRec, *dbfFileHeaderPtr;

#endif _util_dbf_h_
