#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _anvil_utils_h_
#define _anvil_utils_h_
#include <anvil/project.h>
#define NHATCH	40

AnvilBoolean AmDumpHeaderExcept( char  *header,
                          char  **fields,
                          FILE  *fp);

void AmPrintHatch( int	index,
		 int	length,
		 int	nhatch);

float AmAtof2( char *pc, int nmax);
int AmAtoi2( char *buf, int len);

#endif /* _anvil_utils_h_ */
