/* Simple test program for the mapserver - sets the filter */

#include <stdio.h>
#include <stdlib.h>
#include "odyssey/wardens/map/libodymap_tsops.h"

int main (int argc, char* argv[])
{
  int  numIds = argc -1;
  int* filter = NULL;
  int rc, i;

  if (numIds > 0) {
    filter = malloc (numIds * sizeof (int));
    for (i = 0; i < numIds; i++) {
      filter[i] = atoi (argv[i+1]);
    }
  }

  rc = map_set_filter ("/ody/map", filter, numIds);
  if (rc) {
    printf ("Error setting filter, rc = %d\n", rc);
  } else {
    printf ("New filter set\n");
  }

  return (rc);
}
