#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef __SPEECH_AWEDIO_H__
#define __SPEECH_AWEDIO_H__

typedef int (*check_fn) (void *);

struct audio_info;
/* Function Prototypes */
int record_audio (char* buffer, int len, check_fn fn, void* arg);
void play_audio (char* fname);
void setparams_in(struct audio_info *ip);
void setparams_out(struct audio_info *ip);
int auopen (char *fname, int mode);
int audio_in (int fd, struct audio_info *ip, char* buffer, int len, 
	      check_fn fn, void* arg);
void audio_out (int fd, struct audio_info *ip, char* fname);
void sighndlr ();
void audio_getinfo (int fd, struct audio_info *ip);
void audio_setinfo(int fd, struct audio_info *ip);


#endif
