#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _DS_LOG_PRIVATE_H_
#define _DS_LOG_PRIVATE_H_

extern const magic_t ds_log_magic;

struct ds_log_t {
    magic_t      magic;
    FILE        *fp;
    int          log_level;
    int          flush_level;
    int          oldyear;
    int          oldday;
    int          taglen;
    char        *tag;
};

#define DS_LOG_VALID(lp)   ((lp) && ((lp)->magic == ds_log_magic))

#endif /* _DS_LOG_PRIVATE_H_ */
