#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#define USAGE "Usage: %s <url> <lowsize> <highsize> <incsize> <pingtimes>\n" \
              "        <url>       URL to fetch/post to\n"                   \
              "        <lowsize>   Packet size to start with\n"              \
              "        <highsize>  Packet size to end with\n"                \
              "        <incsize>   Amount to increment size between tests\n" \
              "        <pingtimes> Number of times to ping each size\n"

int data_pump(int reqid, const void *data, int size);
