package odyssey.guestroom;

import java.rmi.*;
import java.rmi.registry.*;
import java.rmi.server.UnicastRemoteObject;

public class HelloServer
        extends UnicastRemoteObject
        implements HelloInterface
{
    private String name;
    private int count = 0;

    public HelloServer(String s) throws RemoteException
    {
	super();
	name = s;
    }
    
    public String sayHello() throws RemoteException
    {
	try {
	    return  "Hello World from " +
		java.net.InetAddress.getLocalHost() + "!";
	} catch (java.net.UnknownHostException e) {
	    return "Hello World from unknown shores!";
	}
    }

    public void increment() throws RemoteException
    {
	count++;
    }

    public int  value() throws RemoteException
    {
	return count;
    }
}
