#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifdef NetBSD1_3
int sets_mount     __P((struct mount *, const char *, void *,
		       struct nameidata *, struct proc *));
#else
int sets_mount     __P((struct mount *, char *, caddr_t, struct nameidata *, 
		       struct proc *));
#endif
int sets_start     __P((struct mount *, int, struct proc *));
int sets_statfs    __P((struct mount *, struct statfs *, struct proc *));
int sets_sync      __P((struct mount *, int, struct ucred *, struct proc *));
int sets_unmount   __P((struct mount *, int, struct proc *));
int sets_root      __P((struct mount *, struct vnode **));
#ifdef __NetBSD__
void sets_init     __P((void));
#elif defined(__FreeBSD__)
int sets_init     __P((void));
#endif

