#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef _ODY_POW_H
#define _ODY_POW_H

/* Args to the various ioctl functions */

struct ody_bmod_start_args {
    int   joules;
    float charge;
};

struct ody_time_to_recharge_args {
    int seconds;
};

#define ODYI_BMOD_START       _IOW('O', 10, struct ody_bmod_start_args)
#define ODYI_BMOD_STOP        _IO('O', 11)
#define ODYI_TIME_TO_RECHARGE _IOW('O', 12, struct ody_time_to_recharge_args)

#endif /* _ODY_SYS_H_ */
