#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

struct onode *ody_alloc __P((void));
void          ody_free  __P((register struct onode *op));
struct onode *ody_find  __P((struct ofid  *fid,
			     struct mount *mp));
void ody_flush     __P((enum dc_status dcstat));
void ody_testflush __P((void));
int  ody_checkunmounting __P((struct mount *mp));
int  ody_cacheprint      __P((struct mount *whoIam));
int  ody_kill      __P((struct mount *whoIam, enum dc_status dcstat));
void ody_save      __P((struct onode *op));
void ody_unsave    __P((struct onode *op));

