#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

/*
 * Private functions
 */

#ifndef _OM_STORAGE_H_
#define _OM_STORAGE_H_

typedef struct _onode_record {
  struct viceroy_onode *onode;
  struct _onode_record *previous;
  struct _onode_record *next;
} onode_record;

onode_record *onode_lookup  __P((struct ofid *someofid));
void          onode_free    __P((onode_record *some_onode_record));
int           ofid_eq       __P((struct ofid *ofid1, struct ofid *ofid2));

#ifndef _OM_STORAGE_C

/* private data */
extern ds_lock_t om_lock;

#endif  /* _OM_STORAGE_C */

#endif /* _OM_STORAGE_H_ */
