#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef __LIBODYMAP_TSOPS_H__
#define __LIBODYMAP_TSOPS_H__

/* TSOPs */
#define MAPW_SET_FILTER        1


/* Function prototypes */

/* Allows apps to specify how ANVIL map data type should be degraded by
   providing a list of ANVIL feature ids that should be filtered */
int map_set_filter (char *pathname, int* filterids, int num_ids);

#endif
