#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

#ifndef __MAPW_COMM_H__
#define __MAPW_COMM_H__

/* Function Prototypes */
int mapw_comm_lookup (struct warden* wp, char* name, int* vnum_out, 
		      int* vlen_out);
int mapw_comm_getmap (struct warden* wp, struct viceroy_onode* op);
int mapw_comm_getdir (struct warden* wp, int offset, int* count, void* data);
int mapw_comm_setfilter (struct warden* wp, void* filter, int size);

#endif
