#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

/*
 * whiteboard.h
 *
 * written by Eric Tilton <tilt+@cs.cmu.edu>
 *
 * Common include file for whiteboard warden
 *
 */

#ifndef _WHITEBOARD_H_
#define _WHITEBOARD_H_

/* common defines */

#define WBOARD_VERSION 1
#define WBOARD_TTYPE   0x5

/* common data structures and enums */

/* TSOP numbers */

#define WBOARD_SENDPOINTS 1
#define WBOARD_GETPOINTS  2

#ifndef WBOARDWARDEN

extern struct warden wboard_warden;

/* Definitions of application interface to webwarden TSOPs */
/* none currently */

#endif /* WEBWARDEN */

#endif /* _WEBWARDEN_H_ */
