#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

/* structures private to the webwarden */

struct wboard_data {
    char               *wbd_peer;         /* server name */
    cmgr_id_t           wbd_cid;          /* RPC2 conn. ID to wwd_server */
    uniq_t              wbd_current_uniq; /* current uniqifier */
    ds_safeq_t         *wbd_workq;        /* queue from server thread */
    /* ds_hwlock_t        *wbd_monitor;       provide rough-grain locking */
};
