#ifndef _ODYBLURB_
#define _ODYBLURB_
/*
 *          Odyssey: an Experimental Platform for Mobile Computing
 *  
 *            Copyright (c) 1997-2000 Carnegie Mellon University
 *                   Additional copyrights listed below
 * 
 *  This  code  is  distributed "AS IS" without warranty of any kind under
 *  the terms of the GNU General Public Licence Version 2, as shown in the
 *  file  LICENSE.  The  technical and financial  contributors to Odyssey
 *  are listed in the file CREDITS.
 * 
 *                         Additional copyrights
 *                            none currently
 */
#endif /* _ODYBLURB_ */

int webw_open_by_url(struct warden *wp,
		     struct viceroy_onode  *op,
		     size_t        argsz,
		     void          *argp,
		     size_t        *retsz,
		     void          **retp);

int webw_stat(struct warden *wp,
	      struct viceroy_onode  *op,
	      size_t        argsz,
	      void          *argp,
	      size_t        *retsz,
	      void          **retp);

int webw_set_min_quality(struct warden *wp,
			 struct viceroy_onode  *op,
			 size_t        argsz,
			 void          *argp,
			 size_t        *retsz,
			 void          **retp);

int webw_get_min_quality(struct warden *wp,
			 struct viceroy_onode  *op,
			 size_t        argsz,
			 void          *argp,
			 size_t        *retsz,
			 void          **retp);

int webw_set_max_time(struct warden *wp,
		      struct viceroy_onode  *op,
		      size_t        argsz,
		      void          *argp,
		      size_t        *retsz,
		      void          **retp);

int webw_invalidate_page(struct warden *wp,
			 struct viceroy_onode  *op,
			 size_t        argsz,
			 void          *argp,
			 size_t        *retsz,
			 void          **retp);

int webw_flush_cache(struct warden *wp,
		     struct viceroy_onode  *op,
		     size_t        argsz,
		     void          *argp,
		     size_t        *retsz,
		     void          **retp);
